
extern const int cCultureAztec = cTechAge1Aztec;
extern const int cCivTezca = cTechAge1Tezca;
extern const int cCivHuitz = cTechAge1Huitz;
extern const int cCivQuetz = cTechAge1Quetz;
extern const int cCivCamaxtli = cTechAge1Camaxtli;
extern const int cTechCaptureModeActive = cTechGarlandWarActive;

include "rotg_sendchat.xs";

int get_my_civ(void) {
   return( kbProtoUnitGetPopulationCount(cUnitTypeHawk) );
}
int get_my_culture(void) {
   return( kbGetPopCapAddition(cMyID, cUnitTypeHawk) );
}
int get_civ(int playerid=cMyID) {
   return( kbGetBuildLimit(playerid, cUnitTypeHawk) );
}
int get_culture(int playerid=cMyID) {
   return( kbGetPopCapAddition(playerid, cUnitTypeHawk) );
}

//TODO: Fill these in!
mutable int rotgGetTlatoaniID() { }
int rotgGetTlatoaniID(void) {
   return( kbUnitPickGetMinimumPop(kbGetBuildLimit(cMyID, cUnitTypeWave)) );
}
bool rotgIsInCaptureMode(void) {
   return( kbGetTechStatus(cTechCaptureModeActive) >= cTechStatusActive );
}
int rotgGetChinampaResource(void) {
   int retval = cResourceFood;
   if ( kbGetBuildLimit(cMyID, cUnitTypeGoldToken) <= 0 )
      retval = cResourceGold;
   return( retval );
}
float rotgPrisonerFavor(void) {
   return( kbProtoUnitGetTrainPoints(cUnitTypeBush) * 6.5 );
}

