//This file was automatically synthesized from the MakeConstants app.
//Additions/removals/rearranges of the proto/techtree file(s) will require a re-run of app.
//All unittype classes must be left in the correct order (credits to ES's AIReference file
//without which said order could not have been determined) while all techs and base-unittypes
//are determined from aforementioned XMLs.

//The cGameModeXXX are already defined in TR funcs.
//Difficulty Levels:
extern const int cDifficultyEasy = 0;
extern const int cDifficultyModerate = 1;
extern const int cDifficultyHard = 2;
extern const int cDifficultyNightmare = 3;

//Damage Types:
extern const int cDamageCrush = 0;
extern const int cDamageFire = 1;
extern const int cDamageHack = 2;
extern const int cDamagePierce = 3;
extern const int cDamageSlash = 4;

//Civs:
extern const int cCivZeus = 0;
extern const int cCivPoseidon = 1;
extern const int cCivHades = 2;
extern const int cCivIsis = 3;
extern const int cCivRa = 4;
extern const int cCivSet = 5;
extern const int cCivOdin = 6;
extern const int cCivThor = 7;
extern const int cCivLoki = 8;
extern const int cCivKronos = 9;
extern const int cCivOuranos = 10;
extern const int cCivGaia = 11;
extern const int cCivFuxi = 12;	//These 3 new in TOTD (obviously).
extern const int cCivNuwa = 13;
extern const int cCivShennong = 14;
extern const int cCivRandomWithoutDlc = 15;  //Changed from Random in TOTD.
extern const int cCivRandomWithDlc = 16;	//New in TOTD.
extern const int cCivGreek = 17;
extern const int cCivNorse = 18;
extern const int cCivEgyptian = 19;
extern const int cCivAtlantean = 20;
extern const int cCivChinese = 21;
extern const int cCivNature = 22;

//Cultures:
extern const int cCultureGreek = 0;
extern const int cCultureEgyptian = 1;
extern const int cCultureNorse = 2;
extern const int cCultureAtlantean = 3;
extern const int cCultureChinese = 4;
extern const int cCultureNature = 5;

//Resources:
extern const int cResourceGold = 0;
extern const int cResourceWood = 1;
extern const int cResourceFood = 2;
extern const int cResourceFavor = 3;
extern const int cAllResources = -1234;

//Ages:
extern const int cAge1 = 0;
extern const int cAge2 = 1;
extern const int cAge3 = 2;
extern const int cAge4 = 3;
extern const int cAge5 = 4;

//KB Unit States:
extern const int cUnitStateNone = 0;
extern const int cUnitStateBuilding = 1;
extern const int cUnitStateAlive = 2;
extern const int cUnitStateAliveOrBuilding = 3;
extern const int cUnitStateDead = 4;
extern const int cUnitStateAny = 255;

//Player Relations:
extern const int cPlayerRelationAny = -1;
extern const int cPlayerRelationSelf = 0;
extern const int cPlayerRelationAlly = 1;
extern const int cPlayerRelationEnemy = 2;

//Unit Movement Types:
extern const int cMovementTypeNone = 0;
extern const int cMovementTypeLand = 1;
extern const int cMovementTypeWater = 2;
extern const int cMovementTypeAmphibious = 3;  //New in TOTD.
extern const int cMovementTypeAir = 4;
extern const int cMovementTypeNonSolid = 8;

//Modify (for ModifyProtoUnit trigger):
extern const int cModifyHitpoints = 0;
extern const int cModifySpeed = 1;
extern const int cModifyLOS = 2;
extern const int cModifyTrainPoints = 3;
extern const int cModifyBuildPoints = 4;
extern const int cModifyMaxContained = 5;
extern const int cModifyPopulationCount = 6;
extern const int cModifyPopCapAddition = 7;
extern const int cModifyLifespan = 8;
extern const int cModifyRechargeTime = 9;
extern const int cModifyBuildLimit = 10;
extern const int cModifyRange = 11;
extern const int cModifyMinimumRange = 12;
extern const int cModifyNumProjectiles = 13;
extern const int cModifyHealingRate = 14;
extern const int cModifyHealingRange = 15;
extern const int cModifyCostGold = 16;
extern const int cModifyCostWood = 17;
extern const int cModifyCostFood = 18;
extern const int cModifyCostFavor = 19;
extern const int cModifyCarryCapacityFood = 20;
extern const int cModifyCarryCapacityWood = 21;
extern const int cModifyCarryCapacityGold = 22;
extern const int cModifyCarryCapacityFavor = 23;  //A useless field.
extern const int cModifyArmorHack = 24;
extern const int cModifyArmorPierce = 25;
extern const int cModifyArmorCrush = 26;
extern const int cModifyHandAttackHack = 27;
extern const int cModifyHandAttackPierce = 28;
extern const int cModifyHandAttackCrush = 29;
extern const int cModifyRangedAttackHack = 30;
extern const int cModifyRangedAttackPierce = 31;
extern const int cModifyRangedAttackCrush = 32;
extern const int cModifyHandBonusVMyth = 33;
extern const int cModifyHandBonusVHero = 34;
extern const int cModifyHandBonusVCavalry = 35;
extern const int cModifyHandBonusVInfantry = 36;
extern const int cModifyHandBonusVArcher = 37;
extern const int cModifyHandBonusVSiege = 38;
extern const int cModifyHandBonusVTower = 39;
extern const int cModifyHandBonusVShip = 40;
extern const int cModifyHandBonusVBuilding = 41;
extern const int cModifyHandBonusVVillagers = 42;
extern const int cModifyHandBonusVHuntables = 43;
extern const int cModifyRangedBonusVMyth = 44;
extern const int cModifyRangedBonusVHero = 45;
extern const int cModifyRangedBonusVCavalry = 46;
extern const int cModifyRangedBonusVInfantry = 47;
extern const int cModifyRangedBonusVArcher = 48;
extern const int cModifyRangedBonusVSiege = 49;
extern const int cModifyRangedBonusVTower = 50;
extern const int cModifyRangedBonusVShip = 51;
extern const int cModifyRangedBonusVBuilding = 52;
extern const int cModifyRangedBonusVVillagers = 53;
extern const int cModifyRangedBonusVHuntables = 54;
extern const int cModifyMovementType = 55;  //Use a cMovementTypeX const for the value when using this.

//Use these for trGetGPData(player, data, position) / trSetGPData(player, data, position, value)
extern const int cGPDataTechID = 0;
extern const int cGPDataImmediateCount = 1;  //Can cast & cast with no cooldown.
extern const int cGPDataRecharges = 2;       //Num can cast, but with cooldown.
extern const int cGPDataCast = 3;
extern const int cGPDataCastTimeMS = 4;
extern const int cGPDataRechargeTimeMS = 5;

//Area Types:
extern const int cAreaTypeForest = 1;
extern const int cAreaTypeWater = 2;
extern const int cAreaTypeImpassableLand = 3;
extern const int cAreaTypeGold = 4;
extern const int cAreaTypeSettlement = 5;

//AreaGroup Types:
extern const int cAreaGroupTypeLand = 0;
extern const int cAreaGroupTypeWater = 1;

//KB TechTree Unit Functions:
extern const int cUnitFunctionBuilder = 0;
extern const int cUnitFunctionGatherer = 1;
extern const int cUnitFunctionEmpower = 2;
extern const int cUnitFunctionFish = 3;
extern const int cUnitFunctionWaterTransport = 4;
extern const int cUnitFunctionTrade = 5;
extern const int cUnitFunctionUnknown = 6;

//Unit Action Constants (Added some clarifying comments):
extern const int cActionBored = 0;	//Prolonged idleness makes unit sigh/itch himself.
extern const int cActionBuild = 1;
extern const int cActionConvert = 2;	//Set priest, chinese monk.
extern const int cActionDeath = 3;
extern const int cActionDecay = 4;
extern const int cActionGather = 5;
extern const int cActionHandAttack = 6;
extern const int cActionHeal = 7;
extern const int cActionHunting = 8;	//Gathering that uses Hunting protoaction (lumberjacks/hunters/shepherds).
extern const int cActionIdle = 9;
extern const int cActionMove = 10;
extern const int cActionMoveByGroup = 11;	//"Walk"
extern const int cActionRangedAttack = 12;
extern const int cActionRepair = 13;
extern const int cActionResearch = 14;
extern const int cActionTrain = 15;
extern const int cActionOverrideAnimation = 16;
extern const int cActionWork = 17;	//Any action requiring a target unit (Gather, Attack...)
extern const int cActionAttack = 18;	//Any attack action.
extern const int cActionUnused0 = 19;
extern const int cActionWander = 20;	//Huntables "wandering" around.
extern const int cActionEnter = 21;
extern const int cActionAutoConvert = 22;	//Herdables get captured.
extern const int cActionBirth = 23;
extern const int cActionAreaAttack = 24;	//Auto damages units over an area. Scarab blood.
extern const int cActionFreeze = 25;
extern const int cActionDormant = 26;
extern const int cActionGatherPoint = 27;
extern const int cActionMoveAttack = 28;	//Sadly doesnt mean "move + attack" at same time (not possible in AoM).
extern const int cActionThrown = 29;
extern const int cActionLightning = 30;
extern const int cActionLight = 31;
extern const int cActionJumpAttack = 32;	//Anubite/Amanra.
extern const int cActionUnused1 = 33;
extern const int cActionMeteor = 34;
extern const int cActionAttach = 35;
extern const int cActionGuide = 36;
extern const int cActionJumpMove = 37;
extern const int cActionPickup = 38;	//Heroes target a relic, force it to garrison in them.
extern const int cActionDiveBomb = 39;	//Couples with "HandAttack". Makes suicide unit like FallOfTrident Shades.
extern const int cActionUnused2 = 40;
extern const int cActionRegenerate = 41;	//Persistent. Self heal like campaign heroes.
extern const int cActionUse = 42;
extern const int cActionEmpower = 43;
extern const int cActionAutoGather = 44;	//Persistent. Herdables fatten, Monuments...
extern const int cActionThrow = 45;	//Cyclops + (oddly) Carnivora.
extern const int cActionGore = 46;	//Minotaur.
extern const int cActionDropoff = 47;	//Heroes "dropoff" garrisoned relic.
extern const int cActionWhirlwindAttack = 48;	//Special attack--Melee version. Ie, Mountain Giant v Buildings.
extern const int cActionChargedRangedAttack = 49;
extern const int cActionEject = 50;
extern const int cActionFreezeAttack = 51;	//Medusa/Perseus, FrostGiant...
extern const int cActionConvertAttack = 52;	//Mummy's convert-to-minion attack, Lampades "chaos attack"...
extern const int cActionTrade = 53;
extern const int cActionGuard = 54;
extern const int cActionAutoMover = 55;
extern const int cActionGetOnMover = 56;
extern const int cActionSwallow = 57;
extern const int cActionGate = 58;	//Persistent. Only used by Gates. Unit wont obstruct friendly unit movements.
extern const int cActionLightningAttack = 59;	//SonOfOsiris, MirrorTower...
extern const int cActionExplore = 60;
extern const int cActionEat = 61;	//Colossus feasting + healing.
extern const int cActionBoost = 62;	//Arkantos, Einherjar...
extern const int cActionCorpseDecay = 63;
extern const int cActionTeleport = 64;	//Currently unused. Unit teleports ahead of himself when engaging new target.
extern const int cActionBuckAttack = 65;	//BattleBoar/HekaGigantes.
extern const int cActionTownBell = 66;
extern const int cActionHeroDeath = 67;
extern const int cActionUnbuild = 68;	//Timeshift.
extern const int cActionAutoLOS = 69;	//Persistent. Oracle vision.

//Tech Status:
extern const int cTechStatusUnobtainable = 0;
extern const int cTechStatusObtainable = 1;
extern const int cTechStatusAvailable = 2;
extern const int cTechStatusResearching = 3;
extern const int cTechStatusActive = 4;
extern const int cTechStatusPersistent = 5;

//Stats for use in trGetStatValue(player, stat):
extern const int cStatTributeReceived = 0;
extern const int cStatTributeSent = 1;
extern const int cStatKills = 2;
extern const int cStatRazings = 3;
extern const int cStatKillsCost = 4;
extern const int cStatRazingsCost = 5;
extern const int cStatUnitsLost = 6;
extern const int cStatBuildingsLost = 7;
extern const int cStatUnitsLostCost = 8;
extern const int cStatBuildingsLostCost = 9;
extern const int cStatMapExplored = 10;
extern const int cStatTradeProfit = 11;
extern const int cStatMilitaryCount = 12;
extern const int cStatResearches = 13;
extern const int cStatResearchCost = 14;
extern const int cStatWonderTime = 15;
extern const int cStatScore = 16;
extern const int cStatRelicHigh = 17;
extern const int cStatEconomicUnitHigh = 18;
extern const int cStatSettlementHigh = 19;

//UnitTypes:
extern const int cUnitTypeHawk = 0;
extern const int cUnitTypePalmStump = 1;
extern const int cUnitTypeBush = 2;
extern const int cUnitTypeArrow = 3;
extern const int cUnitTypeAxe = 4;
extern const int cUnitTypeBlood = 5;
extern const int cUnitTypeScarabBlood = 6;
extern const int cUnitTypeWaypointFlag = 7;
extern const int cUnitTypeMoveto = 8;
extern const int cUnitTypeTestObject = 9;
extern const int cUnitTypeYardstick = 10;
extern const int cUnitTypeSmoke = 11;
extern const int cUnitTypeCloud = 12;
extern const int cUnitTypeTornado = 13;
extern const int cUnitTypeRevealer = 14;
extern const int cUnitTypeAttackRevealer = 15;
extern const int cUnitTypeConstructionSmall = 16;
extern const int cUnitTypeConstructionMedium = 17;
extern const int cUnitTypeConstructionLarge = 18;
extern const int cUnitTypeConstructionExtraLarge = 19;
extern const int cUnitTypeIceBlock = 20;
extern const int cUnitTypePapyrus = 21;
extern const int cUnitTypeWave = 22;
extern const int cUnitTypeRainfall = 23;
extern const int cUnitTypeIceSheet = 24;
extern const int cUnitTypeCamera = 25;
extern const int cUnitTypeCameraMotionArrow = 26;
extern const int cUnitTypeCameraStart = 27;
extern const int cUnitTypeWhale = 28;
extern const int cUnitTypeFirePit = 29;
extern const int cUnitTypeRockSymbols = 30;
extern const int cUnitTypeStalagmite = 31;
extern const int cUnitTypeRunestone = 32;
extern const int cUnitTypeRockSnow = 33;
extern const int cUnitTypeWaterLilly = 34;
extern const int cUnitTypeWaterReeds = 35;
extern const int cUnitTypeSnowfall = 36;
extern const int cUnitTypeMist = 37;
extern const int cUnitTypeWaterfall = 38;
extern const int cUnitTypeGarrisonFlag = 39;
extern const int cUnitTypeCrate = 40;
extern const int cUnitTypeRugs = 41;
extern const int cUnitTypeMarketStall = 42;
extern const int cUnitTypeCatapultShot = 43;
extern const int cUnitTypeMiscObjects = 44;
extern const int cUnitTypeInfernoFireGround = 45;
extern const int cUnitTypeLightningStrike = 46;
extern const int cUnitTypeBallistaShot = 47;
extern const int cUnitTypeSplash = 48;
extern const int cUnitTypeMiscStairs = 49;
extern const int cUnitTypeCoralReef = 50;
extern const int cUnitTypeHeroBirth = 51;
extern const int cUnitTypeCinematicBlock = 52;
extern const int cUnitTypeFootprintVillager = 53;
extern const int cUnitTypeFlamingFootprint = 54;
extern const int cUnitTypeIcyFootprint = 55;
extern const int cUnitTypeOarFootprint = 56;
extern const int cUnitTypeMeteor = 57;
extern const int cUnitTypeLightningsparks = 58;
extern const int cUnitTypeLightningScorch = 59;
extern const int cUnitTypeDustSmall = 60;
extern const int cUnitTypeDustMedium = 61;
extern const int cUnitTypeDustLarge = 62;
extern const int cUnitTypeArrowFlaming = 63;
extern const int cUnitTypeLightningCloud = 64;
extern const int cUnitTypeLightningRain = 65;
extern const int cUnitTypeUIArmyBannerFurled = 66;
extern const int cUnitTypeUIArmyBannerPlain = 67;
extern const int cUnitTypeUIArmyBannerInfantry = 68;
extern const int cUnitTypeUIArmyBannerCavalry = 69;
extern const int cUnitTypeUIArmyBannerArcher = 70;
extern const int cUnitTypeUIArmyBannerVillager = 71;
extern const int cUnitTypeBloodGore = 72;
extern const int cUnitTypeLightningSparksGround = 73;
extern const int cUnitTypeHoofprint = 74;
extern const int cUnitTypeFootprintMilitary = 75;
extern const int cUnitTypeFireObject = 76;
extern const int cUnitTypeUIHeroBanner = 77;
extern const int cUnitTypeUIIdleVillagerBanner = 78;
extern const int cUnitTypeGiantFootprint = 79;
extern const int cUnitTypeShark = 80;
extern const int cUnitTypeOrca = 81;
extern const int cUnitTypeRockGraniteSmall = 82;
extern const int cUnitTypeRockLimestoneSmall = 83;
extern const int cUnitTypeGrass = 84;
extern const int cUnitTypeSeagull = 85;
extern const int cUnitTypeRockGraniteBig = 86;
extern const int cUnitTypeRockLimestoneBig = 87;
extern const int cUnitTypeRockSandstoneBig = 88;
extern const int cUnitTypeRockSandstoneSmall = 89;
extern const int cUnitTypeRockRiverSandy = 90;
extern const int cUnitTypeRockRiverGrassy = 91;
extern const int cUnitTypeRockRiverIcy = 92;
extern const int cUnitTypeShiftingSandsIn = 93;
extern const int cUnitTypeUIArmyBannerMyth = 94;
extern const int cUnitTypeUIIdleMilitaryBanner = 95;
extern const int cUnitTypeHeavenlight = 96;
extern const int cUnitTypeShiftingSandsOut = 97;
extern const int cUnitTypeShiftingSandsOutEffect = 98;
extern const int cUnitTypeInfernoUnitFlame = 99;
extern const int cUnitTypeRevealertoPlayer = 100;
extern const int cUnitTypeSkeleton = 101;
extern const int cUnitTypeSandDriftDune = 102;
extern const int cUnitTypeSandDriftPlain = 103;
extern const int cUnitTypeSandDriftPatch = 104;
extern const int cUnitTypeHealingSFX = 105;
extern const int cUnitTypeHealingAreaSFX = 106;
extern const int cUnitTypeFrostDrift = 107;
extern const int cUnitTypeDustDevil = 108;
extern const int cUnitTypeFountain = 109;
extern const int cUnitTypeFireWood = 110;
extern const int cUnitTypeCampfire = 111;
extern const int cUnitTypeColumns = 112;
extern const int cUnitTypeColumnsFallen = 113;
extern const int cUnitTypeColumnsBroken = 114;
extern const int cUnitTypeMilestone = 115;
extern const int cUnitTypeSign = 116;
extern const int cUnitTypeCloneSFX = 117;
extern const int cUnitTypeInvisibleRam = 118;
extern const int cUnitTypeSpear = 119;
extern const int cUnitTypeSlingStone = 120;
extern const int cUnitTypeRain = 121;
extern const int cUnitTypeSnowStorm = 122;
extern const int cUnitTypeFertilePlantsSFX = 123;
extern const int cUnitTypeCinematicrocks = 124;
extern const int cUnitTypeCinematicTrees = 125;
extern const int cUnitTypeCinematicDeadBodies = 126;
extern const int cUnitTypeDestroyedBuildingsSmall = 127;
extern const int cUnitTypeCinematicScorch = 128;
extern const int cUnitTypeunderminegrounddecallong = 129;
extern const int cUnitTypeunderminegrounddecalshort = 130;
extern const int cUnitTypeunderminegrounddecalcorner = 131;
extern const int cUnitTypeArmorGlowSmall = 132;
extern const int cUnitTypeTornadoDebris = 133;
extern const int cUnitTypeRaft = 134;
extern const int cUnitTypeMeteorImpactWater = 135;
extern const int cUnitTypeMeteorImpactGround = 136;
extern const int cUnitTypeRainSmall = 137;
extern const int cUnitTypeBallofFire = 138;
extern const int cUnitTypeIncreaseProsperityLarge = 139;
extern const int cUnitTypeIncreaseProsperitySmall = 140;
extern const int cUnitTypeBalloffireimpact = 141;
extern const int cUnitTypeDove = 142;
extern const int cUnitTypeSnowDriftArchery = 143;
extern const int cUnitTypeSnowDriftBarracks = 144;
extern const int cUnitTypeSnowDriftStable = 145;
extern const int cUnitTypeSnowDriftSettlements = 146;
extern const int cUnitTypeSnowDriftTower = 147;
extern const int cUnitTypeSnowDriftSiege = 148;
extern const int cUnitTypeSnowDriftMajorTemple = 149;
extern const int cUnitTypeTunnelOpening = 150;
extern const int cUnitTypeVolley = 151;
extern const int cUnitTypeHadesFire = 152;
extern const int cUnitTypeRockGraniteSprite = 153;
extern const int cUnitTypeVisionRevealer = 154;
extern const int cUnitTypeBoltStrike = 155;
extern const int cUnitTypeSpyEye = 156;
extern const int cUnitTypeCurseSFX = 157;
extern const int cUnitTypeSentinelBase = 158;
extern const int cUnitTypeBoltScorch = 159;
extern const int cUnitTypeCitadelSFX = 160;
extern const int cUnitTypeVisionSFX = 161;
extern const int cUnitTypeRagnorokSFX = 162;
extern const int cUnitTypeFimbulwinterSFX = 163;
extern const int cUnitTypePlentyFlare = 164;
extern const int cUnitTypeOsirisLightning = 165;
extern const int cUnitTypeOsirisSFX = 166;
extern const int cUnitTypePriestProjectile = 167;
extern const int cUnitTypeUIArmyBannerSiege = 168;
extern const int cUnitTypeRockLimestoneSprite = 169;
extern const int cUnitTypeRockSandstoneSprite = 170;
extern const int cUnitTypePineStump = 171;
extern const int cUnitTypeOakstump = 172;
extern const int cUnitTypeEarthquake = 173;
extern const int cUnitTypeBarrel = 174;
extern const int cUnitTypePots = 175;
extern const int cUnitTypeBrokenSiegeWeapons = 176;
extern const int cUnitTypeKrakenBits = 177;
extern const int cUnitTypeFlowers = 178;
extern const int cUnitTypeSeaweed = 179;
extern const int cUnitTypeFern = 180;
extern const int cUnitTypeFlagNumbered = 181;
extern const int cUnitTypeScorpionTail = 182;
extern const int cUnitTypeGenericCorpse = 183;
extern const int cUnitTypeWadjetSpit = 184;
extern const int cUnitTypeHeroDeath = 185;
extern const int cUnitTypePetosuchusBeam = 186;
extern const int cUnitTypeEarthquakeCrackA = 187;
extern const int cUnitTypeEarthquakeCrackB = 188;
extern const int cUnitTypeEarthquakeCrackC = 189;
extern const int cUnitTypeEarthquakeCrackD = 190;
extern const int cUnitTypeForestFireSFX = 191;
extern const int cUnitTypePetosuchusprojectile = 192;
extern const int cUnitTypeRecognizer = 193;
extern const int cUnitTypeManticoreBarb = 194;
extern const int cUnitTypeArrowSplashSFX = 195;
extern const int cUnitTypePetrobolosShot = 196;
extern const int cUnitTypeUITownBellBanner = 197;
extern const int cUnitTypePestilenceSFX1 = 198;
extern const int cUnitTypePestilenceSFX2 = 199;
extern const int cUnitTypeHeroDeathRevealer = 200;
extern const int cUnitTypeTestomatic = 201;
extern const int cUnitTypeGateRamDestroyed = 202;
extern const int cUnitTypeSpearFlaming = 203;
extern const int cUnitTypeDestroyedBuildingsMed = 204;
extern const int cUnitTypeDestroyedBuildingsLarge = 205;
extern const int cUnitTypeOsiris = 206;
extern const int cUnitTypeSPCMeteor = 207;
extern const int cUnitTypeAvalanche = 208;
extern const int cUnitTypeEinheriarBoostSFX = 209;
extern const int cUnitTypeArrowSignal = 210;
extern const int cUnitTypeOsirisBirth = 211;
extern const int cUnitTypeOsirisBoxGlow = 212;
extern const int cUnitTypeUIBannerObjective = 213;
extern const int cUnitTypeOakstumpburnt = 214;
extern const int cUnitTypeFireObjectBig = 215;
extern const int cUnitTypeSmokeBig = 216;
extern const int cUnitTypeUIArmyBannerHero = 217;
extern const int cUnitTypeMummyFlies = 218;
extern const int cUnitTypeVulture = 219;
extern const int cUnitTypeConversionSFX = 220;
extern const int cUnitTypeUIArmyBannerNaval = 221;
extern const int cUnitTypeFireHades = 222;
extern const int cUnitTypeDestruction3x3 = 223;
extern const int cUnitTypeDestruction4x4 = 224;
extern const int cUnitTypeDestruction5x5 = 225;
extern const int cUnitTypeDestruction8x8 = 226;
extern const int cUnitTypeThorhammer = 227;
extern const int cUnitTypeRegenerationSFX = 228;
extern const int cUnitTypePoisonSFX = 229;
extern const int cUnitTypeTaprootlarge = 230;
extern const int cUnitTypeTaprootSmall = 231;
extern const int cUnitTypeShadow = 232;
extern const int cUnitTypeDestructionSettlement = 233;
extern const int cUnitTypeDestruction2x2 = 234;
extern const int cUnitTypeDestruction1x1 = 235;
extern const int cUnitTypeUIArmyBannerCaravan = 236;
extern const int cUnitTypeUIArmyBannerOxcart = 237;
extern const int cUnitTypeMInePieces = 238;
extern const int cUnitTypeUnderworldSmoke = 239;
extern const int cUnitTypeUnderworldExplosion = 240;
extern const int cUnitTypeUICloudBoarder = 241;
extern const int cUnitTypeBloodCinematic = 242;
extern const int cUnitTypeSkeletonGiant = 243;
extern const int cUnitTypeSkeletonAnimal = 244;
extern const int cUnitTypeShipwreck = 245;
extern const int cUnitTypeRuins = 246;
extern const int cUnitTypeRottingLog = 247;
extern const int cUnitTypeUnderbrush = 248;
extern const int cUnitTypeGrassTall = 249;
extern const int cUnitTypeRockCliff = 250;
extern const int cUnitTypeUIRangeIndicatorEgyptSFX = 251;
extern const int cUnitTypeHarpy = 252;
extern const int cUnitTypeBlowingLeaves = 253;
extern const int cUnitTypeHawksbill = 254;
extern const int cUnitTypeBloodFlow = 255;
extern const int cUnitTypeBallofFireinvisible = 256;
extern const int cUnitTypeSplashFootprint = 257;
extern const int cUnitTypeLavaBubbling = 258;
extern const int cUnitTypeWoodPile1 = 259;
extern const int cUnitTypeWoodPile2 = 260;
extern const int cUnitTypeWoodPile3 = 261;
extern const int cUnitTypeTrident = 262;
extern const int cUnitTypeDestructionCitadel = 263;
extern const int cUnitTypeForestFireAttack = 264;
extern const int cUnitTypeUIRangeIndicatorGreekSFX = 265;
extern const int cUnitTypeUIRangeIndicatorNorseSFX = 266;
extern const int cUnitTypeInvisibleGate = 267;
extern const int cUnitTypeUIArmyBannerBuilding = 268;
extern const int cUnitTypeWaterdecoration = 269;
extern const int cUnitTypeFootprintCavalry = 270;
extern const int cUnitTypeFootprintAnimalLarge = 271;
extern const int cUnitTypeFootprintAnimalSmall = 272;
extern const int cUnitTypeFootprintSiege = 273;
extern const int cUnitTypeEvilCloudSFX = 274;
extern const int cUnitTypeSmokeGiant = 275;
extern const int cUnitTypeCrateSmall = 276;
extern const int cUnitTypeCinematicWake = 277;
extern const int cUnitTypeWeapons = 278;
extern const int cUnitTypeFootprintGiant = 279;
extern const int cUnitTypeFootprintElephant = 280;
extern const int cUnitTypeFootprintWheel = 281;
extern const int cUnitTypeFootprintHydra = 282;
extern const int cUnitTypeFootprintPortableRam = 283;
extern const int cUnitTypeFootprintScorpion = 284;
extern const int cUnitTypeFootprintScarab = 285;
extern const int cUnitTypeSavannahstump = 286;
extern const int cUnitTypeChickenBlood = 287;
extern const int cUnitTypeCrabBlood = 288;
extern const int cUnitTypeArkantosBoostSFX = 289;
extern const int cUnitTypeTremor = 290;
extern const int cUnitTypeMeteorite = 291;
extern const int cUnitTypeIceberg = 292;
extern const int cUnitTypeGaiaCreepFlowers = 293;
extern const int cUnitTypeDeconstructUnit = 294;
extern const int cUnitTypeDeconstructBuilding = 295;
extern const int cUnitTypeChaoseffect = 296;
extern const int cUnitTypeTraitorseffect = 297;
extern const int cUnitTypeMeteoritedeath = 298;
extern const int cUnitTypeMarshBrush = 299;
extern const int cUnitTypeTundraBrush = 300;
extern const int cUnitTypeAudreyBase = 301;
extern const int cUnitTypeAudreyWaterBase = 302;
extern const int cUnitTypeVortexstart = 303;
extern const int cUnitTypeVortexfinish = 304;
extern const int cUnitTypeMarshstump = 305;
extern const int cUnitTypeTundrastump = 306;
extern const int cUnitTypeFireballLaunchDamageEffect = 307;
extern const int cUnitTypeSpider = 308;
extern const int cUnitTypeImplodeSphere = 309;
extern const int cUnitTypeImplodeSphereEffect = 310;
extern const int cUnitTypeImplodeLightningEffect = 311;
extern const int cUnitTypeImplodePullEffect = 312;
extern const int cUnitTypeJavelinFlaming = 313;
extern const int cUnitTypeImplodeShockwave = 314;
extern const int cUnitTypeSpiderDoor = 315;
extern const int cUnitTypeLampadesBlood = 316;
extern const int cUnitTypeAcidPool = 317;
extern const int cUnitTypeSpiderWarn = 318;
extern const int cUnitTypeGaiaForesteffect = 319;
extern const int cUnitTypeVortexstartlinked = 320;
extern const int cUnitTypeVortexfinishlinked = 321;
extern const int cUnitTypeVortexlanding = 322;
extern const int cUnitTypeImplodeDebris = 323;
extern const int cUnitTypeTitanAtlanteanFootprint = 324;
extern const int cUnitTypeTimeshiftout = 325;
extern const int cUnitTypeTimeshiftin = 326;
extern const int cUnitTypeTartarianGateflame = 327;
extern const int cUnitTypeHekaShockwaveSFX = 328;
extern const int cUnitTypeTartarianGatecreatureeffect = 329;
extern const int cUnitTypeGarrisonFlagSkyPassage = 330;
extern const int cUnitTypeLampadesBolt = 331;
extern const int cUnitTypeFireSiphonFire = 332;
extern const int cUnitTypeStymphBirdFeather = 333;
extern const int cUnitTypeOsirisPyramidDead = 334;
extern const int cUnitTypeRocket = 335;
extern const int cUnitTypeUIRangeIndicatorAtlanteanSFX = 336;
extern const int cUnitTypeTowerMirrorFocuser = 337;
extern const int cUnitTypeKronnyBirth = 338;
extern const int cUnitTypeMistOlympus = 339;
extern const int cUnitTypeSeagullHigh = 340;
extern const int cUnitTypeSeagullLow = 341;
extern const int cUnitTypeRepeatFlag = 342;
extern const int cUnitTypeBallofFirePrometheus = 343;
extern const int cUnitTypeShockwavestuneffect = 344;
extern const int cUnitTypeArkantosGodOut = 345;
extern const int cUnitTypeOlympusTempleSFX = 346;
extern const int cUnitTypeKronnyBirthSFX = 347;
extern const int cUnitTypeLavaSheet = 348;
extern const int cUnitTypeSoundGaiaSFX = 349;
extern const int cUnitTypeFootprintPrometheanbig = 350;
extern const int cUnitTypeFootprintPrometheansmall = 351;
extern const int cUnitTypeCinematicDeadBodiesXpack = 352;
extern const int cUnitTypeTartarianRubble = 353;
extern const int cUnitTypeTitanDeath = 354;
extern const int cUnitTypeSpearman = 355;
extern const int cUnitTypeAxeman = 356;
extern const int cUnitTypeSlinger = 357;
extern const int cUnitTypeRaidingCavalry = 358;
extern const int cUnitTypeCamelry = 359;
extern const int cUnitTypeDwarf = 360;
extern const int cUnitTypeBarracks = 361;
extern const int cUnitTypeDock = 362;
extern const int cUnitTypeFarm = 363;
extern const int cUnitTypeGranary = 364;
extern const int cUnitTypeArmory = 365;
extern const int cUnitTypeGate = 366;
extern const int cUnitTypeMarket = 367;
extern const int cUnitTypeStable = 368;
extern const int cUnitTypeFortress = 369;
extern const int cUnitTypeMonument = 370;
extern const int cUnitTypeSiegeCamp = 371;
extern const int cUnitTypeWonder = 372;
extern const int cUnitTypeCyclops = 373;
extern const int cUnitTypeGoat = 374;
extern const int cUnitTypeWolf = 375;
extern const int cUnitTypePine = 376;
extern const int cUnitTypeStorehouse = 377;
extern const int cUnitTypeScarab = 378;
extern const int cUnitTypeBallista = 379;
extern const int cUnitTypeSiegeTower = 380;
extern const int cUnitTypeCrocodile = 381;
extern const int cUnitTypeHippo = 382;
extern const int cUnitTypePalm = 383;
extern const int cUnitTypeFlag = 384;
extern const int cUnitTypeAnubite = 385;
extern const int cUnitTypeBear = 386;
extern const int cUnitTypeFireGiant = 387;
extern const int cUnitTypeLocustSwarm = 388;
extern const int cUnitTypeBoar = 389;
extern const int cUnitTypeFrostGiant = 390;
extern const int cUnitTypeWallLong = 391;
extern const int cUnitTypeCatapult = 392;
extern const int cUnitTypeCaravanNorse = 393;
extern const int cUnitTypeTroll = 394;
extern const int cUnitTypeMountainGiant = 395;
extern const int cUnitTypeEinheriar = 396;
extern const int cUnitTypeKraken = 397;
extern const int cUnitTypeSeaTurtle = 398;
extern const int cUnitTypeValkyrie = 399;
extern const int cUnitTypeBattleBoar = 400;
extern const int cUnitTypeTrireme = 401;
extern const int cUnitTypeFishingShipGreek = 402;
extern const int cUnitTypeBridge = 403;
extern const int cUnitTypeCow = 404;
extern const int cUnitTypeGiraffe = 405;
extern const int cUnitTypeStatuePharaoh = 406;
extern const int cUnitTypeTorch = 407;
extern const int cUnitTypePig = 408;
extern const int cUnitTypeLazerBear = 409;
extern const int cUnitTypeZebra = 410;
extern const int cUnitTypeWaterBuffalo = 411;
extern const int cUnitTypeGazelle = 412;
extern const int cUnitTypeBaboon = 413;
extern const int cUnitTypeCentaur = 414;
extern const int cUnitTypePhoenix = 415;
extern const int cUnitTypeManticore = 416;
extern const int cUnitTypeChimera = 417;
extern const int cUnitTypeSphinx = 418;
extern const int cUnitTypeMinotaur = 419;
extern const int cUnitTypeHydra = 420;
extern const int cUnitTypeChicken = 421;
extern const int cUnitTypeMonkey = 422;
extern const int cUnitTypeColossus = 423;
extern const int cUnitTypeMummy = 424;
extern const int cUnitTypeRoc = 425;
extern const int cUnitTypeMedusa = 426;
extern const int cUnitTypeObelisk = 427;
extern const int cUnitTypeHadesDoor = 428;
extern const int cUnitTypeAjax = 429;
extern const int cUnitTypeArkantos = 430;
extern const int cUnitTypeGargarensis = 431;
extern const int cUnitTypeSetna = 432;
extern const int cUnitTypeShabaKa = 433;
extern const int cUnitTypeOdysseus = 434;
extern const int cUnitTypeChiron = 435;
extern const int cUnitTypeAmanra = 436;
extern const int cUnitTypeWallConnector = 437;
extern const int cUnitTypeWallShort = 438;
extern const int cUnitTypeLeviathan = 439;
extern const int cUnitTypeStatueLionRight = 440;
extern const int cUnitTypeStatueLionLeft = 441;
extern const int cUnitTypeEgyptianVulture = 442;
extern const int cUnitTypeReginleif = 443;
extern const int cUnitTypeScout = 444;
extern const int cUnitTypeArcheryRange = 445;
extern const int cUnitTypeScorpionMan = 446;
extern const int cUnitTypeMinion = 447;
extern const int cUnitTypeFishPerch = 448;
extern const int cUnitTypeGreatBox = 449;
extern const int cUnitTypeGreatBoxCart = 450;
extern const int cUnitTypeGoldMine = 451;
extern const int cUnitTypeKamos = 452;
extern const int cUnitTypeOakTree = 453;
extern const int cUnitTypePyramidLarge = 454;
extern const int cUnitTypePyramidSmall = 455;
extern const int cUnitTypeLion = 456;
extern const int cUnitTypeRhinocerous = 457;
extern const int cUnitTypeHyena = 458;
extern const int cUnitTypeCrownedCrane = 459;
extern const int cUnitTypeAurochs = 460;
extern const int cUnitTypeFishMahi = 461;
extern const int cUnitTypeFishSalmon = 462;
extern const int cUnitTypeGiantDuckbilledPlatypus = 463;
extern const int cUnitTypeTemple = 464;
extern const int cUnitTypeHouse = 465;
extern const int cUnitTypeTent = 466;
extern const int cUnitTypeElephant = 467;
extern const int cUnitTypeTunnel = 468;
extern const int cUnitTypeTower = 469;
extern const int cUnitTypeSettlement = 470;
extern const int cUnitTypePegasus = 471;
extern const int cUnitTypeScylla = 472;
extern const int cUnitTypeAvenger = 473;
extern const int cUnitTypeRaven = 474;
extern const int cUnitTypeExcavation = 475;
extern const int cUnitTypeGuardian = 476;
extern const int cUnitTypeGuardianSleeping = 477;
extern const int cUnitTypeSwordBearers = 478;
extern const int cUnitTypeDeer = 479;
extern const int cUnitTypeSettlementLevel1 = 480;
extern const int cUnitTypeOxCart = 481;
extern const int cUnitTypeFenceStone = 482;
extern const int cUnitTypeFenceWood = 483;
extern const int cUnitTypeVillagerNorse = 484;
extern const int cUnitTypeLonghouse = 485;
extern const int cUnitTypeAcademy = 486;
extern const int cUnitTypeVillagerGreek = 487;
extern const int cUnitTypePortableRam = 488;
extern const int cUnitTypeHillFort = 489;
extern const int cUnitTypeVillagerEgyptian = 490;
extern const int cUnitTypeThrowingAxeman = 491;
extern const int cUnitTypeUlfsark = 492;
extern const int cUnitTypeHuskarl = 493;
extern const int cUnitTypeShrine = 494;
extern const int cUnitTypeHeroNorse = 495;
extern const int cUnitTypeHeroGreekAchilles = 496;
extern const int cUnitTypePharaoh = 497;
extern const int cUnitTypeLumberCamp = 498;
extern const int cUnitTypeMiningCamp = 499;
extern const int cUnitTypeHeroGreekOdysseus = 500;
extern const int cUnitTypeHeroGreekChiron = 501;
extern const int cUnitTypeHeroGreekPolyphemus = 502;
extern const int cUnitTypeHoplite = 503;
extern const int cUnitTypeHypaspist = 504;
extern const int cUnitTypeHippikon = 505;
extern const int cUnitTypeProdromos = 506;
extern const int cUnitTypePeltast = 507;
extern const int cUnitTypeToxotes = 508;
extern const int cUnitTypePetrobolos = 509;
extern const int cUnitTypeHelepolis = 510;
extern const int cUnitTypePriest = 511;
extern const int cUnitTypeMigdolStronghold = 512;
extern const int cUnitTypeChariotArcher = 513;
extern const int cUnitTypeMyrmidon = 514;
extern const int cUnitTypeHetairoi = 515;
extern const int cUnitTypeCataphract = 516;
extern const int cUnitTypeMercenary = 517;
extern const int cUnitTypeMonument2 = 518;
extern const int cUnitTypeMonument3 = 519;
extern const int cUnitTypeMonument4 = 520;
extern const int cUnitTypeMonument5 = 521;
extern const int cUnitTypeStatueofMajorGod = 522;
extern const int cUnitTypeDwarvenForge = 523;
extern const int cUnitTypeFolstagFlagBearer = 524;
extern const int cUnitTypeTrojanHorse = 525;
extern const int cUnitTypeBerryBush = 526;
extern const int cUnitTypeBolderWall = 527;
extern const int cUnitTypeMercenaryCavalry = 528;
extern const int cUnitTypePirateShip = 529;
extern const int cUnitTypeGateRam = 530;
extern const int cUnitTypeJarl = 531;
extern const int cUnitTypeWallLongDestructionSFX = 532;
extern const int cUnitTypeWallShortDestructionSFX = 533;
extern const int cUnitTypeWallConnectorDestructionSFX = 534;
extern const int cUnitTypeOutpost = 535;
extern const int cUnitTypeTransportShipGreek = 536;
extern const int cUnitTypeKebenit = 537;
extern const int cUnitTypeLongboat = 538;
extern const int cUnitTypeLighthouse = 539;
extern const int cUnitTypeHeroBoar = 540;
extern const int cUnitTypeHeroGreekHeracles = 541;
extern const int cUnitTypeHeroGreekJason = 542;
extern const int cUnitTypeFishingShipNorse = 543;
extern const int cUnitTypeFishingShipEgyptian = 544;
extern const int cUnitTypeTransportShipEgyptian = 545;
extern const int cUnitTypeTroyGate = 546;
extern const int cUnitTypeTroyWallConnector = 547;
extern const int cUnitTypeTroyWallLong = 548;
extern const int cUnitTypeTroyWallShort = 549;
extern const int cUnitTypeHeroGreekHippolyta = 550;
extern const int cUnitTypeHeroGreekTheseus = 551;
extern const int cUnitTypeHeroGreekBellerophon = 552;
extern const int cUnitTypeHeroGreekAjax = 553;
extern const int cUnitTypeHeroGreekAtalanta = 554;
extern const int cUnitTypeHeroGreekPerseus = 555;
extern const int cUnitTypeFlyingPurpleHippo = 556;
extern const int cUnitTypeCaravanGreek = 557;
extern const int cUnitTypeCaravanEgyptian = 558;
extern const int cUnitTypeRelic = 559;
extern const int cUnitTypeSkult = 560;
extern const int cUnitTypeBolderRolling = 561;
extern const int cUnitTypeGoldMineSmall = 562;
extern const int cUnitTypePineSnow = 563;
extern const int cUnitTypeCirce = 564;
extern const int cUnitTypeStopCombat = 565;
extern const int cUnitTypeNavalShipyard = 566;
extern const int cUnitTypeRammingShipGreek = 567;
extern const int cUnitTypeSiegeShipGreek = 568;
extern const int cUnitTypeHeroGreekArgo = 569;
extern const int cUnitTypeRammingShipNorse = 570;
extern const int cUnitTypeRammingShipEgyptian = 571;
extern const int cUnitTypeSiegeShipNorse = 572;
extern const int cUnitTypeSiegeShipEgyptian = 573;
extern const int cUnitTypeShade = 574;
extern const int cUnitTypeAnimalAttractor = 575;
extern const int cUnitTypeHealingSpringObject = 576;
extern const int cUnitTypeSerpent = 577;
extern const int cUnitTypeSentinelMain = 578;
extern const int cUnitTypeCitadelCenter = 579;
extern const int cUnitTypeWalkingWoodsPine = 580;
extern const int cUnitTypeWalkingWoodsOak = 581;
extern const int cUnitTypeWalkingWoodsPalm = 582;
extern const int cUnitTypeHeroRagnorok = 583;
extern const int cUnitTypeNidhogg = 584;
extern const int cUnitTypeFimbulwinterWolf = 585;
extern const int cUnitTypePlentyVault = 586;
extern const int cUnitTypePharaohofOsiris = 587;
extern const int cUnitTypeGoldMineDwarven = 588;
extern const int cUnitTypeFenrisWolf = 589;
extern const int cUnitTypeAthena = 590;
extern const int cUnitTypeWalrus = 591;
extern const int cUnitTypeWadjet = 592;
extern const int cUnitTypePetsuchos = 593;
extern const int cUnitTypeNemeanLion = 594;
extern const int cUnitTypeAgamemnon = 595;
extern const int cUnitTypeTheocrat = 596;
extern const int cUnitTypeShadeofHades = 597;
extern const int cUnitTypeAtlantisWallConnector = 598;
extern const int cUnitTypeAtlantisWallLong = 599;
extern const int cUnitTypeAtlantisGate = 600;
extern const int cUnitTypeTamariskTree = 601;
extern const int cUnitTypePhoenixEgg = 602;
extern const int cUnitTypePolarBear = 603;
extern const int cUnitTypeWalkingWoodsPineSnow = 604;
extern const int cUnitTypeCaribou = 605;
extern const int cUnitTypeElk = 606;
extern const int cUnitTypePigSpecial = 607;
extern const int cUnitTypeTitanBad = 608;
extern const int cUnitTypePalmBurning = 609;
extern const int cUnitTypeOakTreeBurning = 610;
extern const int cUnitTypePineBurning = 611;
extern const int cUnitTypeGreatBoxCart2 = 612;
extern const int cUnitTypeTransportShipNorse = 613;
extern const int cUnitTypeThorHammerHaft = 614;
extern const int cUnitTypeThorHammerHead = 615;
extern const int cUnitTypePineSnowBurning = 616;
extern const int cUnitTypeWarElephant = 617;
extern const int cUnitTypeOakAutumn = 618;
extern const int cUnitTypeBrokk = 619;
extern const int cUnitTypeEitri = 620;
extern const int cUnitTypeDwarfFoundry = 621;
extern const int cUnitTypeHippocampus = 622;
extern const int cUnitTypeOakAutumnBurning = 623;
extern const int cUnitTypeSkraeling = 624;
extern const int cUnitTypeUnderworldPassageSPC = 625;
extern const int cUnitTypeCarcinos = 626;
extern const int cUnitTypeJormundElver = 627;
extern const int cUnitTypeMilitia = 628;
extern const int cUnitTypeKastor = 629;
extern const int cUnitTypeSeaSnake = 630;
extern const int cUnitTypeOldMan = 631;
extern const int cUnitTypeJailWall = 632;
extern const int cUnitTypeDigPile = 633;
extern const int cUnitTypeGoldenFleece = 634;
extern const int cUnitTypeTempleUnderworld = 635;
extern const int cUnitTypeArkantosman = 636;
extern const int cUnitTypeBolderRollingDead = 637;
extern const int cUnitTypeBolderRolling2 = 638;
extern const int cUnitTypePineDead = 639;
extern const int cUnitTypeGateRam2 = 640;
extern const int cUnitTypeMiniAtlantis = 641;
extern const int cUnitTypeAtlantisTile = 642;
extern const int cUnitTypeAtlantisTileDead = 643;
extern const int cUnitTypeWellofUrd = 644;
extern const int cUnitTypeTroyGateDead = 645;
extern const int cUnitTypePlentyVaultKOTH = 646;
extern const int cUnitTypePoseidonStatue = 647;
extern const int cUnitTypePharaohSecondary = 648;
extern const int cUnitTypeSavannahTree = 649;
extern const int cUnitTypeGoldenLion = 650;
extern const int cUnitTypeMonkeyRelic = 651;
extern const int cUnitTypeGhostShip = 652;
extern const int cUnitTypeShadeofErebus = 653;
extern const int cUnitTypeBanditMigdol = 654;
extern const int cUnitTypeGoldMineTiny = 655;
extern const int cUnitTypeWallMedium = 656;
extern const int cUnitTypeStatueofLightning = 657;
extern const int cUnitTypeCrossbowman = 658;
extern const int cUnitTypeFenceIron = 659;
extern const int cUnitTypeCharonFerry = 660;
extern const int cUnitTypeHeroBoar2 = 661;
extern const int cUnitTypeTaproot = 662;
extern const int cUnitTypeFemale = 663;
extern const int cUnitTypeTheris = 664;
extern const int cUnitTypeOrnlu = 665;
extern const int cUnitTypePolaris = 666;
extern const int cUnitTypeTamariskTreeDead = 667;
extern const int cUnitTypePrisoner = 668;
extern const int cUnitTypeFolstagFlag = 669;
extern const int cUnitTypeUndermineBuildingDestructionSFX = 670;
extern const int cUnitTypePineDeadBurning = 671;
extern const int cUnitTypeApeofSet = 672;
extern const int cUnitTypeGazelleofSet = 673;
extern const int cUnitTypeHyenaofSet = 674;
extern const int cUnitTypeCrocodileofSet = 675;
extern const int cUnitTypeHippoofSet = 676;
extern const int cUnitTypeRhinocerosofSet = 677;
extern const int cUnitTypeGiraffeofSet = 678;
extern const int cUnitTypeKrakenSPC = 679;
extern const int cUnitTypeSavannahTreeBurning = 680;
extern const int cUnitTypeWonderSPC = 681;
extern const int cUnitTypeMonkeyRaft = 682;
extern const int cUnitTypeForkboy = 683;
extern const int cUnitTypeWalkingBerryBush = 684;
extern const int cUnitTypeChickenExploding = 685;
extern const int cUnitTypeWalkingWoodsSavannah = 686;
extern const int cUnitTypeErebusTree = 687;
extern const int cUnitTypeVillagerAtlantean = 688;
extern const int cUnitTypeManor = 689;
extern const int cUnitTypeVillagerAtlanteanHero = 690;
extern const int cUnitTypeSwordsman = 691;
extern const int cUnitTypeTridentSoldier = 692;
extern const int cUnitTypeTridentSoldierHero = 693;
extern const int cUnitTypeSwordsmanHero = 694;
extern const int cUnitTypeFishingShipAtlantean = 695;
extern const int cUnitTypeBireme = 696;
extern const int cUnitTypeTransportShipAtlantean = 697;
extern const int cUnitTypeFireShipAtlantean = 698;
extern const int cUnitTypeSiegeShipAtlantean = 699;
extern const int cUnitTypeLancer = 700;
extern const int cUnitTypeLancerHero = 701;
extern const int cUnitTypeCounterBuilding = 702;
extern const int cUnitTypeChieroballista = 703;
extern const int cUnitTypeFireSiphon = 704;
extern const int cUnitTypeCaravanAtlantean = 705;
extern const int cUnitTypePalace = 706;
extern const int cUnitTypeRoyalGuard = 707;
extern const int cUnitTypeRoyalGuardHero = 708;
extern const int cUnitTypeSkyPassage = 709;
extern const int cUnitTypeTitanAtlantean = 710;
extern const int cUnitTypeBarracksAtlantean = 711;
extern const int cUnitTypeArcherAtlantean = 712;
extern const int cUnitTypeArcherAtlanteanHero = 713;
extern const int cUnitTypeMaceman = 714;
extern const int cUnitTypeMacemanHero = 715;
extern const int cUnitTypeJavelinCavalry = 716;
extern const int cUnitTypeJavelinCavalryHero = 717;
extern const int cUnitTypeAudrey = 718;
extern const int cUnitTypeAudreyWater = 719;
extern const int cUnitTypeGuild = 720;
extern const int cUnitTypeVolcano = 721;
extern const int cUnitTypeBehemoth = 722;
extern const int cUnitTypeFlyingMedic = 723;
extern const int cUnitTypeTowerMirror = 724;
extern const int cUnitTypePromethean = 725;
extern const int cUnitTypeServant = 726;
extern const int cUnitTypeSatyr = 727;
extern const int cUnitTypeStymphalianBird = 728;
extern const int cUnitTypeAutomaton = 729;
extern const int cUnitTypeManOWar = 730;
extern const int cUnitTypePrometheanSmall = 731;
extern const int cUnitTypeOracleHero = 732;
extern const int cUnitTypeGaiaForesttree = 733;
extern const int cUnitTypeHekaGigantes = 734;
extern const int cUnitTypeTundraTree = 735;
extern const int cUnitTypeMarshTree = 736;
extern const int cUnitTypeTartarianGate = 737;
extern const int cUnitTypeOracleScout = 738;
extern const int cUnitTypeTartarianGatespawn = 739;
extern const int cUnitTypeLampades = 740;
extern const int cUnitTypeKastorAdult = 741;
extern const int cUnitTypeMarshTreeBurning = 742;
extern const int cUnitTypeTundraTreeBurning = 743;
extern const int cUnitTypePhoenixFromEgg = 744;
extern const int cUnitTypeHesperidesTree = 745;
extern const int cUnitTypeDryad = 746;
extern const int cUnitTypeNereid = 747;
extern const int cUnitTypeTitanGate = 748;
extern const int cUnitTypeWalkingWoodsMarsh = 749;
extern const int cUnitTypeWalkingWoodsTundra = 750;
extern const int cUnitTypeTitanPrometheus = 751;
extern const int cUnitTypeGeneralMelagius = 752;
extern const int cUnitTypePharaohofOsirisXP = 753;
extern const int cUnitTypeGuardianSleepingXP = 754;
extern const int cUnitTypeStatueofAutomaton = 755;
extern const int cUnitTypeStatueofAutomatonBase = 756;
extern const int cUnitTypeArgus = 757;
extern const int cUnitTypeGaiaPool = 758;
extern const int cUnitTypeSpiderEgg = 759;
extern const int cUnitTypeKingFolstag = 760;
extern const int cUnitTypeOdinsTower = 761;
extern const int cUnitTypeStatueManticore = 762;
extern const int cUnitTypeStatueCyclops = 763;
extern const int cUnitTypeStatueNemeanLion = 764;
extern const int cUnitTypeStatueValkyrie = 765;
extern const int cUnitTypeStatueHydra = 766;
extern const int cUnitTypeStatueChimera = 767;
extern const int cUnitTypeGaiaForesttreeburning = 768;
extern const int cUnitTypeTartarianGateplacement = 769;
extern const int cUnitTypeTartarianGatebirth = 770;
extern const int cUnitTypeKrios = 771;
extern const int cUnitTypeKronny = 772;
extern const int cUnitTypeAjaxOlder = 773;
extern const int cUnitTypeAmanraOlder = 774;
extern const int cUnitTypeTitanGateDead = 775;
extern const int cUnitTypeTempleKronos = 776;
extern const int cUnitTypeArkantosGod = 777;
extern const int cUnitTypeEarth = 778;
extern const int cUnitTypeKronnyFlying = 779;
extern const int cUnitTypeVictoryMarker = 780;
extern const int cUnitTypeInvisibleWall = 781;
extern const int cUnitTypeInvisibleTarget = 782;
extern const int cUnitTypePyramidOsirisXpack = 783;
extern const int cUnitTypeStatueofMelagius = 784;
extern const int cUnitTypeTempleOvergrown = 785;
extern const int cUnitTypeRocTent = 786;
extern const int cUnitTypeGuardianXP = 787;
extern const int cUnitTypeAutomatonSPC = 788;
extern const int cUnitTypeSummoningTree = 789;
extern const int cUnitTypeSummoningTree2 = 790;
extern const int cUnitTypeBolderRollingSmall = 791;
extern const int cUnitTypeTreeFinale = 792;
extern const int cUnitTypeKastorStaff = 793;
extern const int cUnitTypeHadesDoorSmall = 794;
extern const int cUnitTypeTitanKronos = 795;
extern const int cUnitTypeTitanGaia = 796;
extern const int cUnitTypeWolfArctic = 797;
extern const int cUnitTypeShadeXP = 798;
extern const int cUnitTypeWolfArctic2 = 799;
extern const int cUnitTypeBella = 800;
extern const int cUnitTypeAlfred = 801;
extern const int cUnitTypeUlfsarkStarting = 802;
extern const int cUnitTypeRam = 803;
extern const int cUnitTypeEagle = 804;
extern const int cUnitTypeCypress = 805;
extern const int cUnitTypeFishHerring = 806;
extern const int cUnitTypeVillagerChinese = 807;
extern const int cUnitTypeVillagerChineseDeadReplacement = 808;
extern const int cUnitTypeBambooTree = 809;
extern const int cUnitTypeBambooTreeBurning = 810;
extern const int cUnitTypeBamboostump = 811;
extern const int cUnitTypePandaBear = 812;
extern const int cUnitTypeStoragePit = 813;
extern const int cUnitTypeBarracksChinese = 814;
extern const int cUnitTypeStableChinese = 815;
extern const int cUnitTypeGarden = 816;
extern const int cUnitTypeScoutChinese = 817;
extern const int cUnitTypeHalberdier = 818;
extern const int cUnitTypeChuKoNu = 819;
extern const int cUnitTypeLizard = 820;
extern const int cUnitTypeYak = 821;
extern const int cUnitTypeTiger = 822;
extern const int cUnitTypeMountedArcher = 823;
extern const int cUnitTypeCataphractChinese = 824;
extern const int cUnitTypeWarChariot = 825;
extern const int cUnitTypeFireLance = 826;
extern const int cUnitTypeCastle = 827;
extern const int cUnitTypeSittingTiger = 828;
extern const int cUnitTypeHeroChineseGeneral = 829;
extern const int cUnitTypeHeroChineseImmortal = 830;
extern const int cUnitTypeHeroChineseMonk = 831;
extern const int cUnitTypeFishingShipChinese = 832;
extern const int cUnitTypeJunk = 833;
extern const int cUnitTypeFireShipChinese = 834;
extern const int cUnitTypeSiegeShipChinese = 835;
extern const int cUnitTypeTransportShipChinese = 836;
extern const int cUnitTypeCaravanChinese = 837;
extern const int cUnitTypeUIRangeIndicatorChineseSFX = 838;
extern const int cUnitTypeJungleTree = 839;
extern const int cUnitTypeJungleTreeBurning = 840;
extern const int cUnitTypeJungleTreeStump = 841;
extern const int cUnitTypeQilin = 842;
extern const int cUnitTypeTerracottaSoldier = 843;
extern const int cUnitTypeTerracottaSoldierDeadReplacement = 844;
extern const int cUnitTypeMonkeyKing = 845;
extern const int cUnitTypeWarSalamander = 846;
extern const int cUnitTypePixiu = 847;
extern const int cUnitTypeJiangshi = 848;
extern const int cUnitTypeAzureDragon = 849;
extern const int cUnitTypeVermilionBird = 850;
extern const int cUnitTypeWhiteTiger = 851;
extern const int cUnitTypeDragonTurtle = 852;
extern const int cUnitTypeGriffon = 853;
extern const int cUnitTypeApep = 854;
extern const int cUnitTypeBondi = 855;
extern const int cUnitTypePirateShipNorse = 856;
extern const int cUnitTypeBushShort = 857;
extern const int cUnitTypeWilliamWalrus = 858;
extern const int cUnitTypeGolem = 859;
extern const int cUnitTypeTrollkarien = 860;
extern const int cUnitTypeVultureScout = 861;
extern const int cUnitTypeHarpyScout = 862;
extern const int cUnitTypeRockDirtSprite = 863;
extern const int cUnitTypeRockDirtSmall = 864;
extern const int cUnitTypeRockDirtBig = 865;
extern const int cUnitTypeRockOvergrownSprite = 866;
extern const int cUnitTypeRockOvergrownSmall = 867;
extern const int cUnitTypeRockOvergrownBig = 868;
extern const int cUnitTypeJadeMine = 869;
extern const int cUnitTypeJadeMineSmall = 870;
extern const int cUnitTypeJadeMineTiny = 871;
extern const int cUnitTypeBallofFireVermilionBird = 872;
extern const int cUnitTypeTornadoVermilionBird = 873;
extern const int cUnitTypeParrot = 874;
extern const int cUnitTypeElephantIndian = 875;
extern const int cUnitTypeDuck = 876;
extern const int cUnitTypeDog = 877;
extern const int cUnitTypeEarthDragon = 878;
extern const int cUnitTypeBarrage = 879;
extern const int cUnitTypeGoatChinese = 880;
extern const int cUnitTypeJialong = 881;
extern const int cUnitTypeShun = 882;
extern const int cUnitTypeFlood = 883;
extern const int cUnitTypeRegent = 884;
extern const int cUnitTypeJunglePalm = 885;
extern const int cUnitTypeJunglePalmBurning = 886;
extern const int cUnitTypeJunglePalmStump = 887;
extern const int cUnitTypeDam = 888;
extern const int cUnitTypeZhi = 889;
extern const int cUnitTypeDanzhu = 890;
extern const int cUnitTypeDestruction1x1SPC = 891;
extern const int cUnitTypeDestruction2x2SPC = 892;
extern const int cUnitTypeDestruction3x3SPC = 893;
extern const int cUnitTypeDestruction4x4SPC = 894;
extern const int cUnitTypeDestruction5x5SPC = 895;
extern const int cUnitTypeDestruction8x8SPC = 896;
extern const int cUnitTypeEarthDragonHole = 897;
extern const int cUnitTypeKrakenSPC2 = 898;
extern const int cUnitTypeGeyser = 899;
extern const int cUnitTypeUproot1x1 = 900;
extern const int cUnitTypeUproot2x2 = 901;
extern const int cUnitTypeUproot3x3 = 902;
extern const int cUnitTypeUproot4x4 = 903;
extern const int cUnitTypeUproot5x5 = 904;
extern const int cUnitTypeUproot6x6 = 905;
extern const int cUnitTypeUproot7x7 = 906;
extern const int cUnitTypeUproot8x8 = 907;
extern const int cUnitTypeInfernoField = 908;
extern const int cUnitTypeBolderWallAsian = 909;
extern const int cUnitTypePhysician = 910;
extern const int cUnitTypeBogsveigir = 911;
extern const int cUnitTypeKhopesh = 912;
extern const int cUnitTypeOnager = 913;
extern const int cUnitTypeFireLanceProjectile = 914;
extern const int cUnitTypeTsunami = 915;
extern const int cUnitTypeEmperor = 916;
extern const int cUnitTypeLazerPanda = 917;
extern const int cUnitTypeTsunamiRangeIndicator = 918;
extern const int cUnitTypeBigSplash = 919;
extern const int cUnitTypeTimberharvest = 920;
extern const int cUnitTypeImperialExamination = 921;
extern const int cUnitTypeBlessedConstruction = 922;
extern const int cUnitTypeRecreation = 923;
extern const int cUnitTypeSittingTigerShennong = 924;
extern const int cUnitTypeQilinHeal = 925;
extern const int cUnitTypeFireLanceShennong = 926;
extern const int cUnitTypeServantChinese = 927;
extern const int cUnitTypeAoKuang = 928;
extern const int cUnitTypeWalkingWoodsJungleTree = 929;
extern const int cUnitTypeWalkingWoodsJunglePalm = 930;
extern const int cUnitTypeWalkingWoodsBamboo = 931;
extern const int cUnitTypeSnowman = 932;
extern const int cUnitTypeSanta = 933;
extern const int cUnitTypeReindeer = 934;
extern const int cUnitTypeVillagerAztec = 935;
extern const int cUnitTypeChinampa = 936;
extern const int cUnitTypeTlatoaniQuetz = 937;
extern const int cUnitTypeTlatoani = 938;
extern const int cUnitTypePrisonerSmall = 939;
extern const int cUnitTypePrisonerBig = 940;
extern const int cUnitTypeSpearmanAztec = 941;
extern const int cUnitTypeArcherAztec = 942;
extern const int cUnitTypeRunnerAztec = 943;
extern const int cUnitTypeCuexWarrior = 944;
extern const int cUnitTypeJaguarKnight = 945;
extern const int cUnitTypeEagleKnight = 946;
extern const int cUnitTypeOtomKnight = 947;
extern const int cUnitTypeMermaidAztec = 948;
extern const int cUnitTypeSkullTemple = 949;
extern const int cUnitTypeFishingShipAztec = 950;
extern const int cUnitTypeFishingShipAztecNoIdle = 951;
extern const int cUnitTypeWarPriest = 952;
extern const int cUnitTypeSacredDog = 953;
extern const int cUnitTypeAmox = 954;
extern const int cUnitTypeTreeAmox = 955;
extern const int cUnitTypeHuitznahua = 956;
extern const int cUnitTypeYahui = 957;
extern const int cUnitTypeYahuiFireBall = 958;
extern const int cUnitTypeYahuiFire = 959;
extern const int cUnitTypeAxolotl = 960;
extern const int cUnitTypeAhuizotl = 961;
extern const int cUnitTypeJaguar = 962;
extern const int cUnitTypeCactus = 963;
extern const int cUnitTypeGuildMeso = 964;
extern const int cUnitTypeCelestialPriest = 965;
extern const int cUnitTypeCoyotePriest = 966;
extern const int cUnitTypeSkullKnight = 967;
extern const int cUnitTypeShornWarrior = 968;
extern const int cUnitTypeFeatheredWarrior = 969;
extern const int cUnitTypeAbility = 970;
extern const int cUnitTypeGiantAztec = 971;
extern const int cUnitTypeLizardAztec = 972;
extern const int cUnitTypeDemonAztec = 973;
extern const int cUnitTypeFlyingDemon = 974;
extern const int cUnitTypeTlalocCanoe = 975;
extern const int cUnitTypeTlaloque = 976;
extern const int cUnitTypeTlaloque2 = 977;
extern const int cUnitTypeTwoHeadSerpent = 978;
extern const int cUnitTypeFireSerpent = 979;
extern const int cUnitTypeEmbassyBuilderToken = 980;
extern const int cUnitTypeSocketOtomi = 981;
extern const int cUnitTypeSocketZapotec = 982;
extern const int cUnitTypeSocketHuastec = 983;
extern const int cUnitTypeSocketChichimecs = 984;
extern const int cUnitTypeSocketNahua = 985;
extern const int cUnitTypeSocketTlaxcaltecs = 986;
extern const int cUnitTypeSocketToltecs = 987;
extern const int cUnitTypeSocketMixtecs = 988;
extern const int cUnitTypeSocketTarascans = 989;
extern const int cUnitTypeEmbassyDeath = 990;
extern const int cUnitTypeEmbassyZapotec = 991;
extern const int cUnitTypeEmbassyToltecs = 992;
extern const int cUnitTypeEmbassyChichimecs = 993;
extern const int cUnitTypeEmbassyTlaxcaltecs = 994;
extern const int cUnitTypeEmbassyMixtecs = 995;
extern const int cUnitTypeEmbassyTarascans = 996;
extern const int cUnitTypeEmbassyHuastec = 997;
extern const int cUnitTypeEmbassyNahua = 998;
extern const int cUnitTypeEmbassyOtomi = 999;
extern const int cUnitTypeZapClubman = 1000;
extern const int cUnitTypeTolAtlatl = 1001;
extern const int cUnitTypeTolSpearman = 1002;
extern const int cUnitTypeTolLeader = 1003;
extern const int cUnitTypeTolGiant = 1004;
extern const int cUnitTypeTolBigSerpentBolt = 1005;
extern const int cUnitTypeTolBigSerpent = 1006;
extern const int cUnitTypeTolBigSerpentDeath = 1007;
extern const int cUnitTypeTolGPToken = 1008;
extern const int cUnitTypeNatHuntTent = 1009;
extern const int cUnitTypeChiArcher = 1010;
extern const int cUnitTypeChiShaman = 1011;
extern const int cUnitTypeChiEagle = 1012;
extern const int cUnitTypeChiWolf = 1013;
extern const int cUnitTypeChiJaguar = 1014;
extern const int cUnitTypeChiBear = 1015;
extern const int cUnitTypeChiSacredDeer = 1016;
extern const int cUnitTypeChichiGPToken = 1017;
extern const int cUnitTypeTlaxArcher = 1018;
extern const int cUnitTypeTlaxKnight = 1019;
extern const int cUnitTypeTlaxCaptain = 1020;
extern const int cUnitTypeTlaxMimixcoa = 1021;
extern const int cUnitTypeTlaxBigHeroRanged = 1022;
extern const int cUnitTypeTlaxBigHeroMelee = 1023;
extern const int cUnitTypeTlaxGPToken = 1024;
extern const int cUnitTypeMixLady = 1025;
extern const int cUnitTypeMixLord = 1026;
extern const int cUnitTypeMixYahui = 1027;
extern const int cUnitTypeMixSlinger = 1028;
extern const int cUnitTypeMixGPToken = 1029;
extern const int cUnitTypeMixGPDamager = 1030;
extern const int cUnitTypeMixMagicFire = 1031;
extern const int cUnitTypeHuaWarrior = 1032;
extern const int cUnitTypeHuaHero = 1033;
extern const int cUnitTypeHuaDhipak = 1034;
extern const int cUnitTypeCottonFarm = 1035;
extern const int cUnitTypeHuastecGPToken = 1036;
extern const int cUnitTypeHuaResourceTree = 1037;
extern const int cUnitTypeHuaTreeGold = 1038;
extern const int cUnitTypeHuaTreeWood = 1039;
extern const int cUnitTypeHuaTreeFood = 1040;
extern const int cUnitTypeNahuaGPToken = 1041;
extern const int cUnitTypeNahTlatoani = 1042;
extern const int cUnitTypeNahRunner = 1043;
extern const int cUnitTypeNatJagKnight = 1044;
extern const int cUnitTypeNahWomanMU = 1045;
extern const int cUnitTypeOtomiGPToken = 1046;
extern const int cUnitTypeOtoMantlet = 1047;
extern const int cUnitTypeOtoAtlatl = 1048;
extern const int cUnitTypeOtoHero = 1049;
extern const int cUnitTypeOtoPriest = 1050;
extern const int cUnitTypeOtoWema = 1051;
extern const int cUnitTypeTarEagle = 1052;
extern const int cUnitTypeTarHealingRelic = 1053;
extern const int cUnitTypeTarHeroDeathToken = 1054;
extern const int cUnitTypeTarGPToken = 1055;
extern const int cUnitTypeFishingShipMaya = 1056;
extern const int cUnitTypeMarketMeso = 1057;
extern const int cUnitTypeInvisWorker = 1058;
extern const int cUnitTypeTurkey = 1059;
extern const int cUnitTypeQuetzalBird = 1060;
extern const int cUnitTypeFoodToWood = 1061;
extern const int cUnitTypeWoodToFood = 1062;
extern const int cUnitTypeShadowRunner = 1063;
extern const int cUnitTypeShadowArcher = 1064;
extern const int cUnitTypeShadowSpearman = 1065;
extern const int cUnitTypeDeletePrisoner = 1066;
extern const int cUnitTypeRamAztec = 1067;
extern const int cUnitTypeWarCanoe = 1068;
extern const int cUnitTypeRammingShipAztec = 1069;
extern const int cUnitTypeSiegeShipAztec = 1070;
extern const int cUnitTypeInvisObstruction = 1071;
extern const int cUnitTypeDecoyInfantry = 1072;
extern const int cUnitTypeDecoyArcher = 1073;
extern const int cUnitTypeDecoyShip = 1074;
extern const int cUnitTypeFireStrikeObject = 1075;
extern const int cUnitTypeAbundanceToken = 1076;
extern const int cUnitTypeDecoyToken = 1077;
extern const int cUnitTypeDeathsAwakenToken = 1078;
extern const int cUnitTypeEpidemicProto = 1079;
extern const int cUnitTypeVolcanoBirth = 1080;
extern const int cUnitTypeVolcanoDeadToken = 1081;
extern const int cUnitTypeDemonBirth = 1082;
extern const int cUnitTypeDemonAztecGP = 1083;
extern const int cUnitTypeSiegeSlinger = 1084;
extern const int cUnitTypeHandOfFireToken = 1085;
extern const int cUnitTypeGoldToken = 1086;
extern const int cUnitTypeFoodToken = 1087;
extern const int cUnitTypeCaptureEnter = 1088;
extern const int cUnitTypeCaptureExit = 1089;
extern const int cUnitTypeCaptureWait = 1090;
extern const int cUnitTypeUIBannerPrisoner = 1091;
extern const int cUnitTypeTlaloqueBolt = 1092;
extern const int cUnitTypeSerpentAztec = 1093;
extern const int cUnitTypeSiegeSlingerStone = 1094;
extern const int cUnitTypeTitanAztec = 1095;
extern const int cUnitTypeTlalocan = 1096;
extern const int cUnitTypeTlalocanWater = 1097;
extern const int cUnitTypePreferTlalocOn = 1098;
extern const int cUnitTypePreferTlalocOff = 1099;
extern const int cUnitTypeOctli = 1100;
extern const int cUnitTypePanther = 1101;
extern const int cUnitTypePronghorn = 1102;
extern const int cUnitTypeCougar = 1103;
extern const int cUnitTypeJavelina = 1104;
extern const int cUnitTypeBat = 1105;
extern const int cUnitTypeRabbit = 1106;
extern const int cUnitTypeJaguarGP = 1107;
extern const int cUnitTypeTetetzoCactus = 1108;
extern const int cUnitTypeWalkingWoodsTetetzo = 1109;
extern const int cUnitTypeTetetzoBurning = 1110;
extern const int cUnitTypeWalkingWoodsGalapageia = 1111;
extern const int cUnitTypeGalapageiaTree = 1112;
extern const int cUnitTypeGalapageiaBurning = 1113;
extern const int cUnitTypeOcoteTree = 1114;
extern const int cUnitTypeOcoteBurning = 1115;
extern const int cUnitTypeWalkingWoodsOcote = 1116;
extern const int cUnitTypeCuajioteTree = 1117;
extern const int cUnitTypeWalkingWoodsCuajiote = 1118;
extern const int cUnitTypeCuajioteBurning = 1119;
extern const int cUnitTypeMezquiteTree = 1120;
extern const int cUnitTypeWalkingWoodsMezquite = 1121;
extern const int cUnitTypeMezquiteBurning = 1122;
extern const int cUnitTypeAhuehueteTree = 1123;
extern const int cUnitTypeWalkingWoodsAhuehuete = 1124;
extern const int cUnitTypeAhuehueteBurning = 1125;
extern const int cUnitTypeCopalTree = 1126;
extern const int cUnitTypeWalkingWoodsCopal = 1127;
extern const int cUnitTypeCopalBurning = 1128;
extern const int cUnitTypeOcoteStump = 1129;
extern const int cUnitTypeMezquiteStump = 1130;
extern const int cUnitTypeCuajioteStump = 1131;
extern const int cUnitTypeCopalStump = 1132;
extern const int cUnitTypeAhuehueteStump = 1133;
extern const int cUnitTypeTetetzoStump = 1134;
extern const int cUnitTypeTunaBush = 1135;
extern const int cUnitTypeWalkingTunaBush = 1136;
extern const int cUnitTypeJadeStatue = 1137;
extern const int cUnitTypeObservatory = 1138;
extern const int cUnitTypeVillagerMaya = 1139;
extern const int cUnitTypeAluxe = 1140;
extern const int cUnitTypeAjaw = 1141;
extern const int cUnitTypeBallCourt = 1142;
extern const int cUnitTypeRunnerMaya = 1143;
extern const int cUnitTypeSpearmanMaya = 1144;
extern const int cUnitTypeJavelineer = 1145;
extern const int cUnitTypeBlowgunner = 1146;
extern const int cUnitTypePlumedArcher = 1147;
extern const int cUnitTypeMill = 1148;
extern const int cUnitTypeCityCenter = 1149;
extern const int cUnitTypeVillagerInca = 1150;
extern const int cUnitTypeVillagerInca2 = 1151;
extern const int cUnitTypeLlama = 1152;
extern const int cUnitTypeSaltMine = 1153;
extern const int cUnitTypeSaltMineSmall = 1154;
extern const int cUnitTypeGuanaco = 1155;
extern const int cUnitTypeManorInca = 1156;
extern const int cUnitTypeUshnu = 1157;
extern const int cUnitTypeTambo = 1158;
extern const int cUnitTypeSapaInca = 1159;
extern const int cUnitTypeKamayuk = 1160;
extern const int cUnitTypeMitaSystem0 = 1161;
extern const int cUnitTypeMitaSystem1 = 1162;
extern const int cUnitTypeMitaSystem2 = 1163;
extern const int cUnitTypeMitaSystem3 = 1164;

extern const int cNumberProtoUnits = 1165;
//UnitType Classes. These are always in this order, and start at highest-unit-id + 1.
extern const int cUnitTypeUnit = 1165;
extern const int cUnitTypeShip = 1166;
extern const int cUnitTypeBuilding = 1167;
extern const int cUnitTypeMilitaryBuilding = 1168;
extern const int cUnitTypeEconomicBuilding = 1169;
extern const int cUnitTypeDropsite = 1170;
extern const int cUnitTypeResource = 1171;
extern const int cUnitTypeHuntedResource = 1172;
extern const int cUnitTypeMinedResource = 1173;
extern const int cUnitTypeLandResource = 1174;
extern const int cUnitTypeWaterResource = 1175;
extern const int cUnitTypeProjectile = 1176;
extern const int cUnitTypeNature = 1177;
extern const int cUnitTypeSpecialPowers = 1178;
extern const int cUnitTypeUnattackable = 1179;
extern const int cUnitTypeAbstractTemple = 1180;
extern const int cUnitTypeMilitary = 1181;
extern const int cUnitTypeHero = 1182;
extern const int cUnitTypeTree = 1183;
extern const int cUnitTypeAbstractInfantry = 1184;
extern const int cUnitTypeAbstractCavalry = 1185;
extern const int cUnitTypeAbstractArcher = 1186;
extern const int cUnitTypeAbstractVillager = 1187;
extern const int cUnitTypeAbstractFarm = 1188;
extern const int cUnitTypeAbstractDock = 1189;
extern const int cUnitTypeInventoryHolder = 1190;
extern const int cUnitTypeInventoryItem = 1191;
extern const int cUnitTypeUseableItem = 1192;
extern const int cUnitTypeStrengthBonus = 1193;
extern const int cUnitTypeTradeableTo = 1194;
extern const int cUnitTypeTradeableFrom = 1195;
extern const int cUnitTypeAbstractSiegeWeapon = 1196;
extern const int cUnitTypeFlyingUnit = 1197;
extern const int cUnitTypeMythUnit = 1198;
extern const int cUnitTypeEconomic = 1199;
extern const int cUnitTypeRanged = 1200;
extern const int cUnitTypeFastSpeed = 1201;
extern const int cUnitTypeAverageSpeed = 1202;
extern const int cUnitTypeSlowSpeed = 1203;
extern const int cUnitTypeGeneric = 1204;
extern const int cUnitTypeUnitClass = 1205;
extern const int cUnitTypeBuildingClass = 1206;
extern const int cUnitTypeNatureClass = 1207;
extern const int cUnitTypeEmbellishmentClass = 1208;
extern const int cUnitTypeTestClass = 1209;
extern const int cUnitTypeE3Class = 1210;
extern const int cUnitTypeAll = 1211;
extern const int cUnitTypeActionGather = 1212;
extern const int cUnitTypeActionTrain = 1213;
extern const int cUnitTypeActionBuild = 1214;
extern const int cUnitTypeActionAttack = 1215;
extern const int cUnitTypeActionTrickle = 1216;
extern const int cUnitTypeFish = 1217;
extern const int cUnitTypeTransport = 1218;
extern const int cUnitTypeAbstractWall = 1219;
extern const int cUnitTypeHerdable = 1220;
extern const int cUnitTypeAbstractSettlement = 1221;
extern const int cUnitTypeBuildingsThatShoot = 1222;
extern const int cUnitTypeMythUnitGodPower = 1223;
extern const int cUnitTypeAbstractTitan = 1224;
extern const int cUnitTypeAbstractTradeUnit = 1225;
extern const int cUnitTypeLokiHero = 1226;
extern const int cUnitTypeAge2Building = 1227;
extern const int cUnitTypeAge3Building = 1228;
extern const int cUnitTypeAge1Temple = 1229;
extern const int cUnitTypeFood = 1230;
extern const int cUnitTypeGold = 1231;
extern const int cUnitTypeWood = 1232;
extern const int cUnitTypeWildCrops = 1233;
extern const int cUnitTypeAge1Building = 1234;
extern const int cUnitTypeFoodDropsite = 1235;
extern const int cUnitTypeWoodDropsite = 1236;
extern const int cUnitTypeGoldDropsite = 1237;
extern const int cUnitTypeHumanSoldier = 1238;
extern const int cUnitTypeHuntable = 1239;
extern const int cUnitTypeAbstractMonument = 1240;
extern const int cUnitTypeSettlementsThatTrainVillagers = 1241;
extern const int cUnitTypeHack = 1242;
extern const int cUnitTypeCrush = 1243;
extern const int cUnitTypePierce = 1244;
extern const int cUnitTypeSharedBuilding = 1245;
extern const int cUnitTypeAbstractStable = 1246;
extern const int cUnitTypeAbstractFortress = 1247;
extern const int cUnitTypeAbstractBarracks = 1248;
extern const int cUnitTypeAbstractArcheryRange = 1249;
extern const int cUnitTypeEarlyWoodDropsite = 1250;
extern const int cUnitTypeEarlyFoodDropsite = 1251;
extern const int cUnitTypeEarlyGoldDropsite = 1252;
extern const int cUnitTypeConvertableBuilding = 1253;
extern const int cUnitTypeFavor = 1254;
extern const int cUnitTypeAnimalPrey = 1255;
extern const int cUnitTypeAnimalReactive = 1256;
extern const int cUnitTypeAnimalPredator = 1257;
extern const int cUnitTypeAbstractPharaoh = 1258;
extern const int cUnitTypeMythUnitInfantry = 1259;
extern const int cUnitTypeMythUnitCavalry = 1260;
extern const int cUnitTypeMythUnitArcher = 1261;
extern const int cUnitTypeMythUnitSiege = 1262;
extern const int cUnitTypeUtilityShip = 1263;
extern const int cUnitTypeLogicalTypeHandUnitsAttack = 1264;
extern const int cUnitTypeLogicalTypePredatorsAutoAttack = 1265;
extern const int cUnitTypeLogicalTypeMeanPredatorsAutoAttack = 1266;
extern const int cUnitTypeLogicalTypeHandUnitsAutoAttack = 1267;
extern const int cUnitTypeLogicalTypePredatorsAttack = 1268;
extern const int cUnitTypeLogicalTypeScoutsRespondToAttack = 1269;
extern const int cUnitTypeLogicalTypeBuildingsNotHouses = 1270;
extern const int cUnitTypeLogicalTypeRangedUnitsAttack = 1271;
extern const int cUnitTypeLogicalTypeRangedUnitsAutoAttack = 1272;
extern const int cUnitTypeLogicalTypeUnitsNotBuildings = 1273;
extern const int cUnitTypeLogicalTypeDangerousAnimals = 1274;
extern const int cUnitTypeLogicalTypeIdleCivilian = 1275;
extern const int cUnitTypeLogicalTypeIdleMilitary = 1276;
extern const int cUnitTypeLogicalTypeTornadoAttack = 1277;
extern const int cUnitTypeLogicalTypeNeededForVictory = 1278;
extern const int cUnitTypeLogicalTypeIdleHero = 1279;
extern const int cUnitTypeLogicalTypeValidBoltTarget = 1280;
extern const int cUnitTypeLogicalTypeAffectedByHealingSpring = 1281;
extern const int cUnitTypeLogicalTypeAffectedByRestoration = 1282;
extern const int cUnitTypeLogicalTypeGarrisonOnBoats = 1283;
extern const int cUnitTypeLogicalTypeCavalryAndScout = 1284;
extern const int cUnitTypeLogicalTypeNonGreekUnit = 1285;
extern const int cUnitTypeLogicalTypeVillagersAttack = 1286;
extern const int cUnitTypeLogicalTypeEarthquakeAttack = 1287;
extern const int cUnitTypeAbstractArmory = 1288;
extern const int cUnitTypeLogicalTypeSiegeAutoAttack = 1289;
extern const int cUnitTypeLogicalTypeCanBeHealed = 1290;
extern const int cUnitTypeLogicalTypeMinimapFilterEconomic = 1291;
extern const int cUnitTypeLogicalTypeMinimapFilterMilitary = 1292;
extern const int cUnitTypeArcherShip = 1293;
extern const int cUnitTypeHammerShip = 1294;
extern const int cUnitTypeSiegeShip = 1295;
extern const int cUnitTypeAbstractCart = 1296;
extern const int cUnitTypeAbstractScout = 1297;
extern const int cUnitTypeLogicalTypeValidSpyTarget = 1298;
extern const int cUnitTypeAutoupgradedUnit = 1299;
extern const int cUnitTypeLogicalTypeNavalMilitary = 1300;
extern const int cUnitTypeLogicalTypeValidFrostTarget = 1301;
extern const int cUnitTypeLogicalTypeValidMeteorTarget = 1302;
extern const int cUnitTypeLogicalTypeSeaSerpentAttack = 1303;
extern const int cUnitTypeLogicalTypeFavoriteUnit = 1304;
extern const int cUnitTypeLogicalTypeFavoriteMythUnit = 1305;
extern const int cUnitTypeLogicalTypeConvertsHerds = 1306;
extern const int cUnitTypeLogicalTypeValidLocustSwarmTarget = 1307;
extern const int cUnitTypeLogicalTypeValidShiftingSandsTarget = 1308;
extern const int cUnitTypeLogicalTypeParticipatesInBattlecries = 1309;
extern const int cUnitTypeLogicalTypeBuildingsThatTrainMilitary = 1310;
extern const int cUnitTypeLogicalTypeRamAttack = 1311;
extern const int cUnitTypeTransportShip = 1312;
extern const int cUnitTypeLogicalTypeVillagersRespondToAttack = 1313;
extern const int cUnitTypeLogicalTypeFimbulWinterTCEvalType = 1314;
extern const int cUnitTypeLogicalTypeValidForestFireTarget = 1315;
extern const int cUnitTypeLogicalTypeAutoattackTargetsBuildings = 1316;
extern const int cUnitTypeWalkingWood = 1317;
extern const int cUnitTypeLogicalTypeLandMilitary = 1318;
extern const int cUnitTypeLogicalTypeValidSPCUnitsDeadCondition = 1319;
extern const int cUnitTypeLogicalTypeAffectedByTownBell = 1320;
extern const int cUnitTypeLogicalTypeValidFlamingWeaponsTarget = 1321;
extern const int cUnitTypeLogicalTypeGreekHeroes = 1322;
extern const int cUnitTypeLogicalTypeMilitaryUnitsAndBuildings = 1323;
extern const int cUnitTypeLogicalTypeOdinRegenerates = 1324;
extern const int cUnitTypeLogicalTypeValidTraitorsTarget = 1325;
extern const int cUnitTypeLogicalTypeSuperPredatorsAttack = 1326;
extern const int cUnitTypeLogicalTypeSuperPredatorsAutoAttack = 1327;
extern const int cUnitTypeLogicalTypeVolcanoAttack = 1328;
extern const int cUnitTypeLogicalTypeValidDeconstructionTarget = 1329;
extern const int cUnitTypeLogicalTypeValidTremorAttack = 1330;
extern const int cUnitTypeLogicalTypeAffectedByChaos = 1331;
extern const int cUnitTypeLogicalTypeValidReverseWonderTarget = 1332;
extern const int cUnitTypeLogicalTypeCanBeThrown = 1333;
extern const int cUnitTypeLogicalTypeTartarianGateValidOverlapPlacement = 1334;
extern const int cUnitTypeLogicalTypeAffectedByVortex = 1335;
extern const int cUnitTypeLogicalTypeDoesNotCreateLush = 1336;
extern const int cUnitTypeLogicalTypeAffectedByHeroize = 1337;
extern const int cUnitTypeLogicalTypeValidSpiderTarget = 1338;
extern const int cUnitTypeLogicalTypeImplodeAttack = 1339;
extern const int cUnitTypeLogicalTypeCanBeStoned = 1340;
extern const int cUnitTypeLogicalTypeAffectedByFrostGiant = 1341;
extern const int cUnitTypeLogicalTypePerseusCanStone = 1342;
extern const int cUnitTypeLogicalTypeMummyMinionTarget = 1343;
extern const int cUnitTypeTeleporter = 1344;
extern const int cUnitTypeLogicalTypeScreamsOnSpiderPull = 1345;
extern const int cUnitTypeLogicalTypeTimeshift = 1346;
extern const int cUnitTypeLogicalTypeInvulnerableToGaia = 1347;
extern const int cUnitTypeLogicalTypeEasySelectAvoid = 1348;
extern const int cUnitTypeLogicalTypeBuildingNotTitanGate = 1349;
extern const int cUnitTypeLogicalTypeBuildingsNotWalls = 1350;
extern const int cUnitTypeLogicalTypeNoFlailOnThrow = 1351;
extern const int cUnitTypeLogicalTypeEscapesFrostOnTransform = 1352;
extern const int cUnitTypeSetAnimal = 1353;
extern const int cUnitTypeLogicalTypeMythUnitNotTitan = 1354;
extern const int cUnitTypeLogicalTypeShipNotFishinghip = 1355;
extern const int cUnitTypeLogicalTypeAbstractVillNotHero = 1356;
extern const int cUnitTypeLogicalTypeHouses = 1357;
extern const int cUnitTypeLogicalTypeGates = 1358;

//Techs.
extern const int cTechAge1 = 0;
extern const int cTechAge2 = 1;
extern const int cTechAge3 = 2;
extern const int cTechMediumArchers = 3;
extern const int cTechHeavyArchers = 4;
extern const int cTechChampionArchers = 5;
extern const int cTechMediumInfantry = 6;
extern const int cTechHeavyInfantry = 7;
extern const int cTechChampionInfantry = 8;
extern const int cTechHusbandry = 9;
extern const int cTechPlow = 10;
extern const int cTechIrrigation = 11;
extern const int cTechCopperWeapons = 12;
extern const int cTechBronzeWeapons = 13;
extern const int cTechIronWeapons = 14;
extern const int cTechCopperMail = 15;
extern const int cTechBronzeMail = 16;
extern const int cTechIronMail = 17;
extern const int cTechCopperShields = 18;
extern const int cTechBronzeShields = 19;
extern const int cTechIronShields = 20;
extern const int cTechAmbassadors = 21;
extern const int cTechTaxCollectors = 22;
extern const int cTechCoinage = 23;
extern const int cTechMediumCavalry = 24;
extern const int cTechHeavyCavalry = 25;
extern const int cTechChampionCavalry = 26;
extern const int cTechWatchTower = 27;
extern const int cTechGuardTower = 28;
extern const int cTechBallistaTower = 29;
extern const int cTechBoilingOil = 30;
extern const int cTechLevyInfantry = 31;
extern const int cTechBurningPitch = 32;
extern const int cTechMasons = 33;
extern const int cTechPickaxe = 34;
extern const int cTechHandAxe = 35;
extern const int cTechShaftMine = 36;
extern const int cTechBowSaw = 37;
extern const int cTechQuarry = 38;
extern const int cTechCarpenters = 39;
extern const int cTechBravery = 40;
extern const int cTechValleyoftheKings = 41;
extern const int cTechLightningStorm = 42;
extern const int cTechLocustSwarm = 43;
extern const int cTechTornado = 44;
extern const int cTechWinterHarvest = 45;
extern const int cTechSafeguard = 46;
extern const int cTechRampage = 47;
extern const int cTechMithrilBreastplate = 48;
extern const int cTechCallOfValhalla = 49;
extern const int cTechArcticWinds = 50;
extern const int cTechArcticGale = 51;
extern const int cTechWrathOfTheDeep = 52;
extern const int cTechSpiritedCharge = 53;
extern const int cTechThunderingHooves = 54;
extern const int cTechBerserkergang = 55;
extern const int cTechRime = 56;
extern const int cTechFrost = 57;
extern const int cTechDraftHorses = 58;
extern const int cTechEngineers = 59;
extern const int cTechArchitects = 60;
extern const int cTechMeteor = 61;
extern const int cTechBoneBow = 62;
extern const int cTechAxeofVengeance = 63;
extern const int cTechDesertWind = 64;
extern const int cTechEnclosedDeck = 65;
extern const int cTechCladding = 66;
extern const int cTechFortifiedWall = 67;
extern const int cTechAge1Zeus = 68;
extern const int cTechSkinOfTheRhino = 69;
extern const int cTechAge15Egyptian = 70;
extern const int cTechSacredCats = 71;
extern const int cTechGraniteBlood = 72;
extern const int cTechHamarrtroll = 73;
extern const int cTechCriosphinx = 74;
extern const int cTechHieracosphinx = 75;
extern const int cTechMonstrousRage = 76;
extern const int cTechPhobosSpearofPanic = 77;
extern const int cTechBacchanalia = 78;
extern const int cTechSunRay = 79;
extern const int cTechSylvanLore = 80;
extern const int cTechForgeofOlympus = 81;
extern const int cTechAge1Hades = 82;
extern const int cTechAge1Poseidon = 83;
extern const int cTechCreateGold = 84;
extern const int cTechAge1Ra = 85;
extern const int cTechAge1Isis = 86;
extern const int cTechAge1Set = 87;
extern const int cTechAge1Odin = 88;
extern const int cTechAge1Thor = 89;
extern const int cTechAge1Loki = 90;
extern const int cTechAuroraBorealis = 91;
extern const int cTechAge2Athena = 92;
extern const int cTechAge2Ares = 93;
extern const int cTechAge2Hermes = 94;
extern const int cTechAge3Dionysos = 95;
extern const int cTechAge3Apollo = 96;
extern const int cTechAge3Aphrodite = 97;
extern const int cTechAge4Hera = 98;
extern const int cTechAge4Artemis = 99;
extern const int cTechAge4Hephaestus = 100;
extern const int cTechHuntingDogs = 101;
extern const int cTechHandofTalos = 102;
extern const int cTechSarissa = 103;
extern const int cTechAegisShield = 104;
extern const int cTechWingedMessenger = 105;
extern const int cTechAge2Anubis = 106;
extern const int cTechAge2Bast = 107;
extern const int cTechAge2Ptah = 108;
extern const int cTechAge3Hathor = 109;
extern const int cTechAge3Nephthys = 110;
extern const int cTechAge3Sekhmet = 111;
extern const int cTechAge4Thoth = 112;
extern const int cTechAge4Osiris = 113;
extern const int cTechAge4Horus = 114;
extern const int cTechFeetoftheJackal = 115;
extern const int cTechAge4 = 116;
extern const int cTechAge2Forseti = 117;
extern const int cTechAge2Heimdall = 118;
extern const int cTechAge2Freyja = 119;
extern const int cTechAge3Skadi = 120;
extern const int cTechAge3Bragi = 121;
extern const int cTechAge3Njord = 122;
extern const int cTechAge4Hel = 123;
extern const int cTechAge4Baldr = 124;
extern const int cTechAge4Tyr = 125;
extern const int cTechSignalFires = 126;
extern const int cTechStoneWall = 127;
extern const int cTechShoulderofTalos = 128;
extern const int cTechSkeletonPower = 129;
extern const int cTechBookofThoth = 130;
extern const int cTechFaceoftheGorgon = 131;
extern const int cTechCitadelWall = 132;
extern const int cTechUnderworldPassage = 133;
extern const int cTechRestoration = 134;
extern const int cTechConscriptInfantry = 135;
extern const int cTechLevyArchers = 136;
extern const int cTechConscriptArchers = 137;
extern const int cTechLevyCavalry = 138;
extern const int cTechConscriptCavalry = 139;
extern const int cTechCarrierPigeons = 140;
extern const int cTechFloodControl = 141;
extern const int cTechPharaohRespawn = 142;
extern const int cTechStartingUnitsNorse = 143;
extern const int cTechStartingUnitsGreek = 144;
extern const int cTechStartingUnitsEgyptian = 145;
extern const int cTechGreatHunt = 146;
extern const int cTechCeaseFire = 147;
extern const int cTechMonument1 = 148;
extern const int cTechMonument2 = 149;
extern const int cTechMonument3 = 150;
extern const int cTechMonument4 = 151;
extern const int cTechUndermine = 152;
extern const int cTechDwarvenMail = 153;
extern const int cTechDwarvenShields = 154;
extern const int cTechDwarvenWeapons = 155;
extern const int cTechRain = 156;
extern const int cTechSerpentSpear = 157;
extern const int cTechFloodoftheNile = 158;
extern const int cTechVaultsofErebus = 159;
extern const int cTechLordofHorses = 160;
extern const int cTechOlympicParentage = 161;
extern const int cTechPigSticker = 162;
extern const int cTechLoneWanderer = 163;
extern const int cTechEyesintheForest = 164;
extern const int cTechScallopedAxe = 165;
extern const int cTechRingGiver = 166;
extern const int cTechLongSerpent = 167;
extern const int cTechSwineArray = 168;
extern const int cTechAge15Norse = 169;
extern const int cTechAge15Greek = 170;
extern const int cTechOdinsRavenRespawn = 171;
extern const int cTechSnowStorm = 172;
extern const int cTechHeavyCamelry = 173;
extern const int cTechChampionCamelry = 174;
extern const int cTechBronze = 175;
extern const int cTechPharaohRespawnOsiris = 176;
extern const int cTechNewKingdom = 177;
extern const int cTechMedjay = 178;
extern const int cTechFuneralRites = 179;
extern const int cTechSpiritofMaat = 180;
extern const int cTechCityoftheDead = 181;
extern const int cTechFortifyTownCenter = 182;
extern const int cTechHeroesZeusAge2 = 183;
extern const int cTechHeroesZeusAge3 = 184;
extern const int cTechHeroesZeusAge4 = 185;
extern const int cTechHeroesPoseidonAge2 = 186;
extern const int cTechHeroesPoseidonAge3 = 187;
extern const int cTechHeroesPoseidonAge4 = 188;
extern const int cTechHeroesHadesAge2 = 189;
extern const int cTechHeroesHadesAge3 = 190;
extern const int cTechHeroesHadesAge4 = 191;
extern const int cTechMonument0 = 192;
extern const int cTechRelicAnkhofRa = 193;
extern const int cTechRelicEyeofHorus = 194;
extern const int cTechRelicSistrumofBast = 195;
extern const int cTechRelicHeadofOrpheus = 196;
extern const int cTechRelicRingoftheNibelung = 197;
extern const int cTechRelicStaffofDionysus = 198;
extern const int cTechRelicFettersofFenrir = 199;
extern const int cTechRelicOdinsSpear = 200;
extern const int cTechRelicKitharaofApollo = 201;
extern const int cTechRelicMithrilHorseshoes = 202;
extern const int cTechRelicBowofArtemis = 203;
extern const int cTechRelicWedjatEye = 204;
extern const int cTechRelicNoseoftheSphinx = 205;
extern const int cTechGoldenApples = 206;
extern const int cTechEldhrimnirKettle = 207;
extern const int cTechRelicArrowsofAlfar = 208;
extern const int cTechRelicToothedArrows = 209;
extern const int cTechRelicWandofGambantein = 210;
extern const int cTechProsperity = 211;
extern const int cTechPegasusRelicRespawn = 212;
extern const int cTechRelicGoldenBridleofPegasus = 213;
extern const int cTechEclipse = 214;
extern const int cTechWillofKronos = 215;
extern const int cTechLabyrinthofMinos = 216;
extern const int cTechFlamesofTyphon = 217;
extern const int cTechDivineBlood = 218;
extern const int cTechShaftsofPlague = 219;
extern const int cTechVision = 220;
extern const int cTechBolt = 221;
extern const int cTechSpy = 222;
extern const int cTechFlamingWeapons = 223;
extern const int cTechFlamingWeaponsActive = 224;
extern const int cTechLossofLOS = 225;
extern const int cTechSerpents = 226;
extern const int cTechAnimalMagnetism = 227;
extern const int cTechHealingSpring = 228;
extern const int cTechCurse = 229;
extern const int cTechSentinel = 230;
extern const int cTechSandstorm = 231;
extern const int cTechCitadel = 232;
extern const int cTechWalkingWoods = 233;
extern const int cTechRagnorok = 234;
extern const int cTechNidhogg = 235;
extern const int cTechPlenty = 236;
extern const int cTechSonofOsiris = 237;
extern const int cTechPharaohRespawnCityoftheDead = 238;
extern const int cTechEarthquake = 239;
extern const int cTechAthenianWall = 240;
extern const int cTechHeroesHadesAge1 = 241;
extern const int cTechHeroesPoseidonAge1 = 242;
extern const int cTechHeroesZeusAge1 = 243;
extern const int cTechDwarvenAuger = 244;
extern const int cTechPurseSeine = 245;
extern const int cTechReinforcedHull = 246;
extern const int cTechHuntressAxe = 247;
extern const int cTechForestFire = 248;
extern const int cTechPestilence = 249;
extern const int cTechRelicTriosBow = 250;
extern const int cTechRelicShardofBlueCrystal = 251;
extern const int cTechRelicArmorofAchilles = 252;
extern const int cTechRelicShipofFingernails = 253;
extern const int cTechCrocodopolis = 254;
extern const int cTechLeatherFrameShield = 255;
extern const int cTechElectrumBullets = 256;
extern const int cTechStonesofRedLinen = 257;
extern const int cTechSpearontheHorizon = 258;
extern const int cTechFeral = 259;
extern const int cTechAnastrophe = 260;
extern const int cTechTrierarch = 261;
extern const int cTechThracianHorses = 262;
extern const int cTechRelicShinglesofSteel = 263;
extern const int cTechRelicEyeofOrnlu = 264;
extern const int cTechRelicTuskoftheIronBoar = 265;
extern const int cTechAssignLOS = 266;
extern const int cTechRoarofOrthus = 267;
extern const int cTechAtefCrown = 268;
extern const int cTechConscriptSailors = 269;
extern const int cTechNavalOxybeles = 270;
extern const int cTechEnyosBowofHorror = 271;
extern const int cTechDeimosSwordofDread = 272;
extern const int cTechChampionElephants = 273;
extern const int cTechHallofThanes = 274;
extern const int cTechAdzeofWepwawet = 275;
extern const int cTechSlingsoftheSun = 276;
extern const int cTechRamoftheWestWind = 277;
extern const int cTechSundriedMudBrick = 278;
extern const int cTechFuneralBarge = 279;
extern const int cTechNecropolis = 280;
extern const int cTechDisableArmoryforThor = 281;
extern const int cTechIronMailThor = 282;
extern const int cTechBronzeMailThor = 283;
extern const int cTechBronzeShieldsThor = 284;
extern const int cTechBronzeWeaponsThor = 285;
extern const int cTechIronShieldsThor = 286;
extern const int cTechIronWeaponsThor = 287;
extern const int cTechBurningPitchThor = 288;
extern const int cTechHammeroftheGods = 289;
extern const int cTechMeteoricIronMail = 290;
extern const int cTechDragonscaleShields = 291;
extern const int cTechTusksofApedemak = 292;
extern const int cTechRelicPandorasBox = 293;
extern const int cTechRelicHerasThundercloudShawl = 294;
extern const int cTechRelicHarmoniasNecklace = 295;
extern const int cTechRelicDwarfenCalipers = 296;
extern const int cTechOracle = 297;
extern const int cTechSonsofSleipnir = 298;
extern const int cTechSetAge2Critter = 299;
extern const int cTechSetAge3Critter = 300;
extern const int cTechSetAge4Critter = 301;
extern const int cTechPoseidonHippocampusRespawn = 302;
extern const int cTechEgyptianbuildingbonus = 303;
extern const int cTechOmniscience = 304;
extern const int cTechMediumAxemen = 305;
extern const int cTechHeavyAxemen = 306;
extern const int cTechChampionAxemen = 307;
extern const int cTechMediumSpearmen = 308;
extern const int cTechHeavySpearmen = 309;
extern const int cTechChampionSpearmen = 310;
extern const int cTechHeavyChariots = 311;
extern const int cTechChampionChariots = 312;
extern const int cTechHeavyElephants = 313;
extern const int cTechLevyBarracksSoldiers = 314;
extern const int cTechConscriptBarracksSoldiers = 315;
extern const int cTechLevyMigdolSoldiers = 316;
extern const int cTechConscriptMigdolSoldiers = 317;
extern const int cTechMediumSlingers = 318;
extern const int cTechHeavySlingers = 319;
extern const int cTechChampionSlingers = 320;
extern const int cTechShaduf = 321;
extern const int cTechRelicGoldenLions = 322;
extern const int cTechRelicMonkeyHead = 323;
extern const int cTechLevyLonghouseSoldiers = 324;
extern const int cTechConscriptLonghouseSoldiers = 325;
extern const int cTechConscriptHillFortSoldiers = 326;
extern const int cTechLevyHillFortSoldiers = 327;
extern const int cTechThurisazRune = 328;
extern const int cTechGoldenLionsRelicRespawn = 329;
extern const int cTechMonkeyHeadRelicRespawn = 330;
extern const int cTechRelicCanopicJarofImsety = 331;
extern const int cTechRelicTowerofSestus = 332;
extern const int cTechRelicTrojanGateHinge = 333;
extern const int cTechSPCMeteor = 334;
extern const int cTechOdinsFirstRavens = 335;
extern const int cTechHeroesEgyptianAge1 = 336;
extern const int cTechWeakenAge1Units = 337;
extern const int cTechSaltAmphora = 338;
extern const int cTechMediumMigdolShadow = 339;
extern const int cTechPoseidonFirstHippocampus = 340;
extern const int cTechTempleofHealing = 341;
extern const int cTechGreatestofFifty = 342;
extern const int cTechCopperMailThor = 343;
extern const int cTechCopperShieldsThor = 344;
extern const int cTechCopperWeaponsThor = 345;
extern const int cTechWeaponoftheTitans = 346;
extern const int cTechAge2Fake = 347;
extern const int cTechAge3Fake = 348;
extern const int cTechAge4Fake = 349;
extern const int cTechCrenellations = 350;
extern const int cTechBlessingofZeus = 351;
extern const int cTechRelicGirdleofHippolyta = 352;
extern const int cTechSharedLOS = 353;
extern const int cTechRelicPygmalionsStatue = 354;
extern const int cTechRelicBlackLotus = 355;
extern const int cTechDeathmatchGreek = 356;
extern const int cTechDeathmatchEgyptian = 357;
extern const int cTechDeathmatchNorse = 358;
extern const int cTechCeasefireEffect = 359;
extern const int cTechNorsebuildingbonus = 360;
extern const int cTechLightningMode = 361;
extern const int cTechFortifiedTents = 362;
extern const int cTechDwarvenShieldsEffect = 363;
extern const int cTechRelicHartersFolly = 364;
extern const int cTechRelicScarabPendant = 365;
extern const int cTechWellofUrd = 366;
extern const int cTechRelicBootsofKickEverything = 367;
extern const int cTechRelicAnvilofHephaestus = 368;
extern const int cTechRelicPeltofArgus = 369;
extern const int cTechRelicOsebergWagon = 370;
extern const int cTechRelicBuhenFlagstone = 371;
extern const int cTechRelicCatoblepasScales = 372;
extern const int cTechRelicTailofCerberus = 373;
extern const int cTechRelicBlanketofEmpressZoe = 374;
extern const int cTechRelicKhopeshofHorus = 375;
extern const int cTechCeaseFireNomad = 376;
extern const int cTechEclipseActive = 377;
extern const int cTechPlentyKOTHenable = 378;
extern const int cTechStartingUnitsThor = 379;
extern const int cTechSetAge1Critter = 380;
extern const int cTechStartingResourcesEgyptian = 381;
extern const int cTechStartingResourcesGreek = 382;
extern const int cTechStartingResourcesNorse = 383;
extern const int cTechRelicReedofNekhebet = 384;
extern const int cTechWeakenTrojanGate = 385;
extern const int cTechBuildTCfaster = 386;
extern const int cTechIncreaseRegeneration = 387;
extern const int cTechChickenStorm = 388;
extern const int cTechWalkingBerryBushes = 389;
extern const int cTechEliteHersir = 390;
extern const int cTechGoatunheim = 391;
extern const int cTechAge1Kronos = 392;
extern const int cTechAge1Gaia = 393;
extern const int cTechStartingUnitsAtlantean = 394;
extern const int cTechAge1Ouranos = 395;
extern const int cTechStartingResourcesAtlantean = 396;
extern const int cTechAge2Okeanus = 397;
extern const int cTechAge2Prometheus = 398;
extern const int cTechAge2Leto = 399;
extern const int cTechAge3Hyperion = 400;
extern const int cTechAge3Rheia = 401;
extern const int cTechAge3Theia = 402;
extern const int cTechAge4Helios = 403;
extern const int cTechAge4Hekate = 404;
extern const int cTechAge4Atlas = 405;
extern const int cTechReverseTime = 406;
extern const int cTechAudrey = 407;
extern const int cTechTraitors = 408;
extern const int cTechChaos = 409;
extern const int cTechVolcano = 410;
extern const int cTechBronzeWall = 411;
extern const int cTechIronWall = 412;
extern const int cTechOreichalkosWall = 413;
extern const int cTechTremor = 414;
extern const int cTechHeavyFireship = 415;
extern const int cTechHeartoftheTitans = 416;
extern const int cTechHephaestusRevenge = 417;
extern const int cTechGaiaForest = 418;
extern const int cTechTartarianGate = 419;
extern const int cTechLevyMainlineUnits = 420;
extern const int cTechLevySpecialtyUnits = 421;
extern const int cTechLevyPalaceUnits = 422;
extern const int cTechConscriptMainlineUnits = 423;
extern const int cTechConscriptSpecialtyUnits = 424;
extern const int cTechConscriptPalaceUnits = 425;
extern const int cTechHalooftheSun = 426;
extern const int cTechHornsofConsecration = 427;
extern const int cTechLemurianDescendants = 428;
extern const int cTechChannels = 429;
extern const int cTechAlluvialClay = 430;
extern const int cTechVortex = 431;
extern const int cTechMythicRejuvenation = 432;
extern const int cTechHeroicRenewal = 433;
extern const int cTechReverseWonder = 434;
extern const int cTechBiteoftheShark = 435;
extern const int cTechHesperides = 436;
extern const int cTechHeavyChieroballista = 437;
extern const int cTechSpiders = 438;
extern const int cTechHeroize = 439;
extern const int cTechGemino = 440;
extern const int cTechNorseArmory = 441;
extern const int cTechImplode = 442;
extern const int cTechSecretsoftheTitans = 443;
extern const int cTechTitanGate = 444;
extern const int cTechDisableTitan = 445;
extern const int cTechFocus = 446;
extern const int cTechSafePassage = 447;
extern const int cTechHeroicFleet = 448;
extern const int cTechWeightlessMace = 449;
extern const int cTechEyesofAtlas = 450;
extern const int cTechAsperBlood = 451;
extern const int cTechTitanShield = 452;
extern const int cTechPoseidonsSecret = 453;
extern const int cTechRelicWhirlwindSPC = 454;
extern const int cTechRelicofBronzeSPC = 455;
extern const int cTechRelicofEarthquakeSPC = 456;
extern const int cTechBronzeXP05 = 457;
extern const int cTechTornadoXP05 = 458;
extern const int cTechRelicTitansTreasure = 459;
extern const int cTechVolcanicForge = 460;
extern const int cTechRelicGaiasBookofKnowledge = 461;
extern const int cTechChangeCyclops = 462;
extern const int cTechChangeChimera = 463;
extern const int cTechChangeCaladria = 464;
extern const int cTechChangeManticore = 465;
extern const int cTechChangeNemean = 466;
extern const int cTechChangeHydra = 467;
extern const int cTechSPCLightningStorm = 468;
extern const int cTechDeathmatchAtlantean = 469;
extern const int cTechMailofOrichalkos = 470;
extern const int cTechHandsofthePharaoh = 471;
extern const int cTechBronzeAll = 472;
extern const int cTechBronzeAllThor = 473;
extern const int cTechCopperAll = 474;
extern const int cTechCopperAllThor = 475;
extern const int cTechIronAll = 476;
extern const int cTechIronAllThor = 477;
extern const int cTechMediumAll = 478;
extern const int cTechHeavyAll = 479;
extern const int cTechChampionAll = 480;
extern const int cTechRheiasGift = 481;
extern const int cTechTimeShiftFake = 482;
extern const int cTechFocusTurbo = 483;
extern const int cTechCelerity = 484;
extern const int cTechSeedofGaia = 485;
extern const int cTechGrantPhoenixEgg = 486;
extern const int cTechIoGuardian = 487;
extern const int cTechTimeShiftFake2 = 488;
extern const int cTechAxeofMuspell = 489;
extern const int cTechChampionChieroballista = 490;
extern const int cTechTraitorsSPC = 491;
extern const int cTechSuperRocs = 492;
extern const int cTechBeastSlayer = 493;
extern const int cTechLanceofStone = 494;
extern const int cTechSuddenDeathAtlantean = 495;
extern const int cTechRelicofAncestorsSPC = 496;
extern const int cTechSuperTitanSPC = 497;
extern const int cTechSuperNidhoggSPC = 498;
extern const int cTechPetrified = 499;
extern const int cTechPrometheusWeak = 500;
extern const int cTechPrometheusWeakest = 501;
extern const int cTechAge2AtlanteanHeroes = 502;
extern const int cTechAge4AtlanteanHeroes = 503;
extern const int cTechAge15Atlantean = 504;
extern const int cTechGaiaForestSPC = 505;
extern const int cTechTreatyNorse = 506;
extern const int cTechDisableTreatyNorse = 507;
extern const int cTechDisableTitanNoOutput = 508;
extern const int cTechStartingResourcesChinese = 509;
extern const int cTechStartingUnitsChinese = 510;
extern const int cTechDeathmatchChinese = 511;
extern const int cTechAge1Chinese = 512;
extern const int cTechAge2Chinese = 513;
extern const int cTechAge3Chinese = 514;
extern const int cTechAge4Chinese = 515;
extern const int cTechAge1Fuxi = 516;
extern const int cTechAge1Nuwa = 517;
extern const int cTechAge1Shennong = 518;
extern const int cTechAge2Change = 519;
extern const int cTechAge2Huangdi = 520;
extern const int cTechAge2Sunwukong = 521;
extern const int cTechAge3Dabogong = 522;
extern const int cTechAge3Hebo = 523;
extern const int cTechAge3Zhongkui = 524;
extern const int cTechAge4Aokuang = 525;
extern const int cTechAge4Xiwangmu = 526;
extern const int cTechAge4Chongli = 527;
extern const int cTechMediumBarracks = 528;
extern const int cTechHeavyBarracks = 529;
extern const int cTechChampionBarracks = 530;
extern const int cTechMediumStable = 531;
extern const int cTechHeavyStable = 532;
extern const int cTechChampionStable = 533;
extern const int cTechMediumCastle = 534;
extern const int cTechHeavyCastle = 535;
extern const int cTechChampionCastle = 536;
extern const int cTechLevyBarracksChineseSoldiers = 537;
extern const int cTechConscriptBarracksChineseSoldiers = 538;
extern const int cTechLevyStableSoldiers = 539;
extern const int cTechConscriptStableSoldiers = 540;
extern const int cTechLevyCastleSoldiers = 541;
extern const int cTechConscriptCastleSoldiers = 542;
extern const int cTechRecreation = 543;
extern const int cTechYearoftheGoat = 544;
extern const int cTechTimberHarvest = 545;
extern const int cTechBarrage = 546;
extern const int cTechCalltoArms = 547;
extern const int cTechJourney = 548;
extern const int cTechJourneyActive = 549;
extern const int cTechExamination = 550;
extern const int cTechExaminationActive = 551;
extern const int cTechGeyser = 552;
extern const int cTechUproot = 553;
extern const int cTechUprootSPC = 554;
extern const int cTechFlood = 555;
extern const int cTechFloodWeak = 556;
extern const int cTechEarthDragon = 557;
extern const int cTechInferno = 558;
extern const int cTechGarden1 = 559;
extern const int cTechGarden2 = 560;
extern const int cTechDomestication = 561;
extern const int cTechAcupuncture = 562;
extern const int cTechWheelbarrow = 563;
extern const int cTechElixirofImmortality = 564;
extern const int cTechHouyisBow = 565;
extern const int cTechJadeRabbit = 566;
extern const int cTechGoldenBandedStaff = 567;
extern const int cTechPillaroftheOcean = 568;
extern const int cTechPaperTalisman = 569;
extern const int cTechOracleBoneScript = 570;
extern const int cTechFiveGrains = 571;
extern const int cTechStoneArmor = 572;
extern const int cTechHouseAltars = 573;
extern const int cTechBurials = 574;
extern const int cTechLandlordSpirit = 575;
extern const int cTechLordoftheRiver = 576;
extern const int cTechRammedEarth = 577;
extern const int cTechSacrifices = 578;
extern const int cTechDemonSlayer = 579;
extern const int cTechLifeDrain = 580;
extern const int cTechUnbrideledAnger = 581;
extern const int cTechDragonScales = 582;
extern const int cTechEastSea = 583;
extern const int cTechNezhasDefeat = 584;
extern const int cTechGoldenPeaches = 585;
extern const int cTechCelestialPalace = 586;
extern const int cTechTigerSpirit = 587;
extern const int cTechHeavenlyFire = 588;
extern const int cTechStirrup = 589;
extern const int cTechAncientDestroyer = 590;
extern const int cTechEarthenWall = 591;
extern const int cTechStoneWallChinese = 592;
extern const int cTechGreatWall = 593;
extern const int cTechForestFireSPC = 594;
extern const int cTechMediumKhopesh = 595;
extern const int cTechHeavyKhopesh = 596;
extern const int cTechChampionKhopesh = 597;
extern const int cTechTsunami = 598;
extern const int cTechDisableBetaUnits = 599;
extern const int cTechNuwaClassicalMarketbonus = 600;
extern const int cTechFuxiImmortalBonus1 = 601;
extern const int cTechFuxiImmortalBonus2 = 602;
extern const int cTechFuxiImmortalBonus3 = 603;
extern const int cTechFuxiImmortalBonus4 = 604;
extern const int cTechShennongSiegeBonus = 605;
extern const int cTechFuxiSittingTiger = 606;
extern const int cTechNuwaSittingTiger = 607;
extern const int cTechShennongSiegeBonus2 = 608;
extern const int cTechFuxiFireLance = 609;
extern const int cTechNuwaFireLance = 610;
extern const int cTechGardenFuXi1 = 611;
extern const int cTechGardenFuXi2 = 612;
extern const int cTechShennongLightningMonks = 613;
extern const int cTechHeroesAge1Chinese = 614;
extern const int cTechWaterDamage = 615;
extern const int cTechMediumAllGNA = 616;
extern const int cTechHeavyAllGNA = 617;
extern const int cTechChampAllGNA = 618;
extern const int cTechSpawnMermaid = 619;
extern const int cTechDeathmatchAll = 620;
extern const int cTechDMWarPriestHealFix = 621;
extern const int cTechStartingUnitsAztec = 622;
extern const int cTechStartingUnitsQuetz = 623;
extern const int cTechAge1Meso = 624;
extern const int cTechDeathmatchAztec = 625;
extern const int cTechAge1Aztec = 626;
extern const int cTechAge1Tezca = 627;
extern const int cTechAge1Huitz = 628;
extern const int cTechAge1Quetz = 629;
extern const int cTechAge1Camaxtli = 630;
extern const int cTechRandomAztec = 631;
extern const int cTechEnableReinforcedHull = 632;
extern const int cTechEnableHuehueIxchel = 633;
extern const int cTechEnableCoyolBuluc = 634;
extern const int cTechEnableXolYum = 635;
extern const int cTechEnableMayahTohil = 636;
extern const int cTechEnableXipeChuah = 637;
extern const int cTechEnableMictColel = 638;
extern const int cTechEnableTonPawa = 639;
extern const int cTechQuetzAge2 = 640;
extern const int cTechQuetzAge3 = 641;
extern const int cTechQuetzAge4 = 642;
extern const int cTechTezcaAge3 = 643;
extern const int cTechTezcaAge4 = 644;
extern const int cTechHuitzAge4 = 645;
extern const int cTechAge2Huehue = 646;
extern const int cTechAge2Coyol = 647;
extern const int cTechAge2Xol = 648;
extern const int cTechAge3Mayahuel = 649;
extern const int cTechAge3Xipe = 650;
extern const int cTechAge3Mict = 651;
extern const int cTechAge4Tlaloc = 652;
extern const int cTechAge4Coat = 653;
extern const int cTechAge4Ton = 654;
extern const int cTechSmokingMirror = 655;
extern const int cTechFloweryWars = 656;
extern const int cTechQuetzBook = 657;
extern const int cTechHandOfFire = 658;
extern const int cTechJaguarNight = 659;
extern const int cTechWarriorBlessing = 660;
extern const int cTechAmoxForest = 661;
extern const int cTechDeathsAwaken = 662;
extern const int cTechEpidemic = 663;
extern const int cTechFireStrike = 664;
extern const int cTechDecoys = 665;
extern const int cTechAbundance = 666;
extern const int cTechDeathFromAbove = 667;
extern const int cTechTlalocan = 668;
extern const int cTechVolcanoROTG = 669;
extern const int cTechJagNightEffect = 670;
extern const int cTechSouthernStars = 671;
extern const int cTechLunarCycles = 672;
extern const int cTechCelestialHeart = 673;
extern const int cTechElderFlames = 674;
extern const int cTechNewFire = 675;
extern const int cTechGoldsmiths = 676;
extern const int cTechGreatMarket = 677;
extern const int cTechSacredDogs = 678;
extern const int cTechEveningStar = 679;
extern const int cTechTlachtli = 680;
extern const int cTechMagueyArmor = 681;
extern const int cTechRabbitSpirit = 682;
extern const int cTechPulque = 683;
extern const int cTechPulqueCeremonyFix = 684;
extern const int cTechAnahuayo = 685;
extern const int cTechFlayedSkin = 686;
extern const int cTechGladiatorTrials = 687;
extern const int cTechCinteteo = 688;
extern const int cTechFestivalOfDeath = 689;
extern const int cTechHueyTzompantli = 690;
extern const int cTechMonstrousWrath = 691;
extern const int cTechTezontleWalls = 692;
extern const int cTechSolarRay = 693;
extern const int cTechWarDance = 694;
extern const int cTechMaskOfTlaloc = 695;
extern const int cTechChimaCanoes = 696;
extern const int cTechAqueduct = 697;
extern const int cTechMountTlaloc = 698;
extern const int cTechSacredBlood = 699;
extern const int cTechGiftOfFertility = 700;
extern const int cTechSpiritOfPanal = 701;
extern const int cTechWarriorSociety = 702;
extern const int cTechSkullTempleBuilt = 703;
extern const int cTechSkullTempleLimit = 704;
extern const int cTechGiftOfCorn = 705;
extern const int cTechCoatenpantli = 706;
extern const int cTechSummonSerpent = 707;
extern const int cTechWarCulture = 708;
extern const int cTechWarCulture2 = 709;
extern const int cTechInitiation = 710;
extern const int cTechInitiation2 = 711;
extern const int cTechMesoHackAttack1 = 712;
extern const int cTechMesoHackAttack2 = 713;
extern const int cTechMesoHackAttack3 = 714;
extern const int cTechMesoPierceAttack1 = 715;
extern const int cTechMesoPierceAttack2 = 716;
extern const int cTechMesoPierceAttack3 = 717;
extern const int cTechMesoInfArmor1 = 718;
extern const int cTechMesoInfArmor2 = 719;
extern const int cTechMesoInfArmor3 = 720;
extern const int cTechMesoArchArmor1 = 721;
extern const int cTechMesoArchArmor2 = 722;
extern const int cTechMesoArchArmor3 = 723;
extern const int cTechMediumYouthBarracks = 724;
extern const int cTechHeavyYouthBarracks = 725;
extern const int cTechChampionYouthBarracks = 726;
extern const int cTechCraftsmanship = 727;
extern const int cTechHeavyRam = 728;
extern const int cTechNativeZapotec = 729;
extern const int cTechNativeToltecs = 730;
extern const int cTechNativeChichimecs = 731;
extern const int cTechNativeTlaxcaltecs = 732;
extern const int cTechNativeMixtecs = 733;
extern const int cTechNativeTarascans = 734;
extern const int cTechNativeHuastec = 735;
extern const int cTechNativeNahua = 736;
extern const int cTechNativeOtomi = 737;
extern const int cTechMediumZapotec = 738;
extern const int cTechHeavyZapotec = 739;
extern const int cTechChampionZapotec = 740;
extern const int cTechZapCultOfTheDead = 741;
extern const int cTechZapCloudPeople = 742;
extern const int cTechZapSacredCrops = 743;
extern const int cTechZapTombsOfDaniBaan = 744;
extern const int cTechZapFestival = 745;
extern const int cTechZapScriptures = 746;
extern const int cTechMediumToltec = 747;
extern const int cTechHeavyToltec = 748;
extern const int cTechChampionToltec = 749;
extern const int cTechTolChacMool = 750;
extern const int cTechTolCoatepantli = 751;
extern const int cTechTolToltecayotl = 752;
extern const int cTechTolWarSociety = 753;
extern const int cTechTolPalaceOf = 754;
extern const int cTechTolTempleOf = 755;
extern const int cTechMediumChichi = 756;
extern const int cTechHeavyChichi = 757;
extern const int cTechChampionChichi = 758;
extern const int cTechChiSacredHunt = 759;
extern const int cTechChiBracer = 760;
extern const int cTechChiWarDance = 761;
extern const int cTechChiWoodcrafting = 762;
extern const int cTechChiVotiveArrows = 763;
extern const int cTechChiPeyote = 764;
extern const int cTechMediumTlax = 765;
extern const int cTechHeavyTlax = 766;
extern const int cTechChampionTlax = 767;
extern const int cTechTlaHuntingTrickle = 768;
extern const int cTechTlaRepublicOfMaize = 769;
extern const int cTechTlaDispersal = 770;
extern const int cTechTlaNorthernStars = 771;
extern const int cTechTlaSenate = 772;
extern const int cTechTlaSpanishAllies = 773;
extern const int cTechMediumMix = 774;
extern const int cTechHeavyMix = 775;
extern const int cTechChampionMix = 776;
extern const int cTechMixPainters = 777;
extern const int cTechMixDzahuiPeople = 778;
extern const int cTechMixSerpentCult = 779;
extern const int cTechMixSlingerUpgrade = 780;
extern const int cTechMixGoldsmith = 781;
extern const int cTechMixSunBow = 782;
extern const int cTechMediumTarascan = 783;
extern const int cTechHeavyTarascan = 784;
extern const int cTechChampionTarascan = 785;
extern const int cTechTarGillnets = 786;
extern const int cTechTarDanceOfOldGod = 787;
extern const int cTechTarBronzeWorking = 788;
extern const int cTechTarXaratangaBlessing = 789;
extern const int cTechTarBallgame = 790;
extern const int cTechTarSacredEagle = 791;
extern const int cTechMediumHuastec = 792;
extern const int cTechHeavyHuastec = 793;
extern const int cTechChampionHuastec = 794;
extern const int cTechHuaBodyModify = 795;
extern const int cTechHuaCottonPlanting = 796;
extern const int cTechHuaPottery = 797;
extern const int cTechHuaIxcuynimsGift = 798;
extern const int cTechHuaFertilityFestival = 799;
extern const int cTechHuaWarCry = 800;
extern const int cTechResourceTreeGold = 801;
extern const int cTechResourceTreeWood = 802;
extern const int cTechResourceTreeFood = 803;
extern const int cTechMediumNahua = 804;
extern const int cTechHeavyNahua = 805;
extern const int cTechChampionNahua = 806;
extern const int cTechNahLoom = 807;
extern const int cTechNahChinampas = 808;
extern const int cTechNahMigration = 809;
extern const int cTechNahAltepemeh = 810;
extern const int cTechNahHarvest = 811;
extern const int cTechNahCalendar = 812;
extern const int cTechNahJagKnights1 = 813;
extern const int cTechNahJagKnights2 = 814;
extern const int cTechNahJagKnights3 = 815;
extern const int cTechMediumOtomi = 816;
extern const int cTechHeavyOtomi = 817;
extern const int cTechChampionOtomi = 818;
extern const int cTechOtoLumberjacks = 819;
extern const int cTechOtoArson = 820;
extern const int cTechOtoMercenaries = 821;
extern const int cTechOtoAncientInhabit = 822;
extern const int cTechOtoPaperFigures = 823;
extern const int cTechOtoSiegeFestival = 824;
extern const int cTechSpawnQuetzalBird = 825;
extern const int cTechRelicChica = 826;
extern const int cTechRelicEightDeersCrown = 827;
extern const int cTechRelicTurquoiseAtlatl = 828;
extern const int cTechRelicElPolloGuapo = 829;
extern const int cTechRelicCamaxtliBasket = 830;
extern const int cTechCamaxtliDeerRespawn = 831;
extern const int cTechBuyPrisoners = 832;
extern const int cTechBuyPrisoners2 = 833;
extern const int cTechBuyVillagers = 834;
extern const int cTechBuyVillagers2 = 835;
extern const int cTechFreeTlatoani = 836;
extern const int cTechMesoMarketG2 = 837;
extern const int cTechMesoMarketG = 838;
extern const int cTechMesoMarketF = 839;
extern const int cTechMesoMarketE = 840;
extern const int cTechMesoMarketD = 841;
extern const int cTechMesoMarketC = 842;
extern const int cTechMesoMarketB = 843;
extern const int cTechMesoMarketA = 844;
extern const int cTechMesoMarketStart = 845;
extern const int cTechMesoMarketH = 846;
extern const int cTechMesoMarketI = 847;
extern const int cTechMesoMarketJ = 848;
extern const int cTechMesoMarketK = 849;
extern const int cTechMesoMarketL = 850;
extern const int cTechMesoMarketM = 851;
extern const int cTechMesoMarketN = 852;
extern const int cTechMesoMarketO = 853;
extern const int cTechSpawnHuitznahua = 854;
extern const int cTechSpawnYahui = 855;
extern const int cTechSpawnAhuizotl = 856;
extern const int cTechSpawnAmox = 857;
extern const int cTechSpawnGiant = 858;
extern const int cTechSpawnDemon = 859;
extern const int cTechSpawnFlyDemon = 860;
extern const int cTechSpawnTlaloque = 861;
extern const int cTechSpawnBigSerpent = 862;
extern const int cTechSpawnFireSerpent = 863;
extern const int cTechHeavyNobles = 864;
extern const int cTechChampionNobles = 865;
extern const int cTechWarPriestCeremony = 866;
extern const int cTechTlatoaniGoreEnable = 867;
extern const int cTechGarlandWarActive = 868;
extern const int cTechGarlandWarShipsActive = 869;
extern const int cTechTlaloque2Effect = 870;
extern const int cTechStartingResourcesMaya = 871;
extern const int cTechAge1Maya = 872;
extern const int cTechStartingUnitsMaya = 873;
extern const int cTechAge1Itzam = 874;
extern const int cTechAge1Chaac = 875;
extern const int cTechAge1AhPuch = 876;
extern const int cTechRandomMaya = 877;
extern const int cTechEnableCoatKuk = 878;
extern const int cTechEnableKinich = 879;
extern const int cTechEnableAge2Maya = 880;
extern const int cTechEnableAge3Maya = 881;
extern const int cTechEnableAge4Maya = 882;
extern const int cTechEnableAge5Maya = 883;
extern const int cTechAge2Ixchel = 884;
extern const int cTechAge2Buluc = 885;
extern const int cTechAge2Yum = 886;
extern const int cTechAge3Tohil = 887;
extern const int cTechAge3EkChuah = 888;
extern const int cTechAge3Colel = 889;
extern const int cTechAge4Pawa = 890;
extern const int cTechAge4Kuk = 891;
extern const int cTechAge4Kinich = 892;
extern const int cTechSecretsoftheTitansMaya = 893;
extern const int cTechAge1Inca = 894;
extern const int cTechAge1Vira = 895;
extern const int cTechAge1Pacha = 896;
extern const int cTechAge1Inti = 897;
extern const int cTechRandomInca = 898;
extern const int cTechStartingUnitsInca = 899;
extern const int cTechMita1AutoGather = 900;
extern const int cTechMita2AutoGather = 901;
extern const int cTechMita3AutoGather = 902;
extern const int cTechMita1Active = 903;
extern const int cTechMita2Active = 904;
extern const int cTechMita3Active = 905;

extern const int cNumberTechs = 906;
