//Not a stand-alone file! Just this-civ-specific stuff all collected together in here.
//To make things more encapsulated and less cluttered.

float _MitaResourceTotal(int playerid=-1) {
   return( kbTotalResourceGet(0) + kbTotalResourceGet(1) + kbTotalResourceGet(2) - trGetStatValue(playerid, cStatTradeProfit) );
}

int _MitaSystemTokensHandler(int playerid=-1, int basicQid=-1)
{
/*
   int tokens = MultiUnitTypeQuery( basicQid, cUnitTypeMitaSystem0, cUnitTypeMitaSystem1, cUnitTypeMitaSystem2,
      cUnitTypeMitaSystem3 );
   if ( tokens > 0 ) {
      int prevMita = get_int( MITA_LEVEL, playerid );
      int newMita = TacticChange( playerid, kbUnitQueryGetResult(basicQid, 0), MITA_LEVEL, prevMita );
      destroy_results( basicQid, tokens );
      for(protoid=cUnitTypeMitaSystem0; <= cUnitTypeMitaSystem3) {
         if ( protoid != newMita )
            trForbidProtounit( playerid, kbGetProtoUnitName(protoid) );
      }
      add_int( MITA_COOLDOWN, 2, playerid );
      xsEnableRule( "MitaCooldown"+playerid );

      set_float( cUnitTypeManorInca, get_float(newMita) );
      int index = prevMita - cUnitTypeMitaSystem0;  //Cooresponding indeces are awesome!
      if ( index > 0 ) {
         trTechSetStatus( playerid, (cTechMita1Active + index - 1), cTechStatusUnobtainable );
         trTechSetStatus( playerid, (cTechMita1AutoGather + index - 1), cTechStatusUnobtainable );
      }
      index = newMita - cUnitTypeMitaSystem0;
      if ( index > 0 ) {
         trTechSetStatus( playerid, (cTechMita1Active + index - 1), cTechStatusActive );
         trTechSetStatus( playerid, (cTechMita1AutoGather + index - 1), cTechStatusActive );
      }
   }
   return( tokens );
*/
   return( 0 );
}
int _CeremonyTokensHandler(int playerid=-1, int basicQid=-1)
{
   for(ceremonyid=cUnitTypeHealCeremony; <= cUnitTypeFavorCeremony) {
      kbUnitQuerySetUnitType( basicQid, ceremonyid );
      int tokens = kbUnitQueryExecute( basicQid );
   }
   if ( tokens > 0 ) {
      TacticChange( playerid, kbUnitQueryGetResult(basicQid, 0), NEW_USHNU_CEREMONY );
      destroy_results( basicQid, tokens );
      set_int( FAILED_USHNU_CEREMONY, 0, playerid );  //Manual ceremony change, so clear out the old "failed" one.
   }
   return( tokens );
}

void SpecialPowersTokensInca(int playerid=-1, int basicQid=-1)
{
   int tokens = kbUnitCount( playerid, cUnitTypeSpecialPowers, cUnitStateAliveOrBuilding );
   if ( tokens <= 0 ) return;

   int section = tokens - kbUnitCount(playerid, cUnitTypeSpecialPowers, cUnitStateAlive);
   if ( section > 0 ) {
     //#. Tianguis mechanics (next most prob?)
      section = TianguisExchange( playerid, basicQid, true );
      tokens = tokens - section;
      if ( tokens <= 0 ) return;
   }

  //#. Ushnu Ceremony toggle.
   section = _CeremonyTokensHandler( playerid, basicQid );
   tokens = tokens - section;
   if ( tokens <= 0 ) return;

  //#. Mita setting toggle.
   section = _MitaSystemTokensHandler( playerid, basicQid );
   tokens = tokens - section;
   if ( tokens <= 0 ) return;

  //#. New Civ Titan fix.
   NewCultureTitanFix( playerid, basicQid, cUnitTypeTitanInca );
}

//=============================================================================================================================
// CEREMONY EFFECTS:
void _HealCeremonyEffects(int playerid=-1, float fTotalHeal=1.0)
{
/*
   int healQid = get_int( HEAL_CEREMONY_QRY, playerid );
   int results = kbUnitQueryExecute( healQid );
   for(i=0; < results) {
      int unitid = kbUnitQueryGetResult( healQid, i );
      float fInjury = kbUnitGetCurrentHitpoints(unitid) - kbUnitGetMaximumHitpoints(unitid);
      if ( fInjury >= 0.0 )
         continue;
      if ( fInjury > fTotalHeal )
         damage_unit( unitid, fInjury );
      else {
         damage_unit( unitid, fTotalHeal );
         break;
      }
      fTotalHeal = fTotalHeal - fInjury;
   }
   kbUnitQueryResetResults( healQid );
*/
}

//RETURNS: The amount of spawn-points needed to spawn the ceremony's newly-chosen myth unit.
float _NextMythCeremonySpawn(int playerid=-1, int ageid=0, int index=0, int prevProto=-10000)
{
   bool addPointsIn = (prevProto <= -1000);  //Called from LaunchInca()
   if ( addPointsIn ) {
      prevProto = get_int( MYTH_CEREMONY_SPAWN, playerid );
      index = RNG_Slow(3);
   }
   int nextProto = prevProto;
   float fSpawnCost = 1200.0;  //Age2.
/*
   if ( ageid <= cAge2 ) {  //Age1, Age2
      if ( index <= 0 )      nextProto = cUnitTypePromethean;
      else if ( index == 1 ) nextProto = cUnitTypeMinotaur;
      else                   nextProto = cUnitTypeSphinx;
   }
   else if ( ageid == cAge3 ) {
      fSpawnCost = 2800.0;
      if ( index <= 0 )      nextProto = cUnitTypeFrostGiant;
      else if ( index == 1 ) nextProto = cUnitTypePixiu;
      else                   nextProto = cUnitTypeNemeanLion;
   }
   else {  //Age4, Age5
      fSpawnCost = 4400.0;
      if ( index <= 0 )      nextProto = cUnitTypeAzureDragon;
      else if ( index == 1 ) nextProto = cUnitTypeAvenger;
      else                   nextProto = cUnitTypeArgus;
   }
   if ( nextProto != prevProto )
      add_int( MYTH_CEREMONY_SPAWN, (nextProto - prevProto), playerid );
   if ( addPointsIn )
      add_float( MYTH_CEREMONY_POINTS, fSpawnCost );
*/
   return( fSpawnCost );
}
bool _MythUnitCeremonyEffects(int playerid=-1, int buildingid=-1, float fRate=1.0)
{
/*
   if ( get_float(MYTH_CEREMONY_POINTS) > fRate ) {  //Still earning it.
      subtract_float( MYTH_CEREMONY_POINTS, fRate );
      return( true );
   }
   bool stillGood = ( kbGetPopCap() > kbGetPop() );
   if ( stillGood ) {  //Spawn the Myth Unit!
      int spawnProto = get_int( MYTH_CEREMONY_SPAWN, playerid );
      int randomizer = RNG_Slow( xsClamp(kbGetAge(), cAge4, cAge2) * 3 );
      fRate = fRate - _NextMythCeremonySpawn(playerid, (randomizer/3)+1, randomizer%3, spawnProto);
      trChatSendToPlayer( 0, playerid, "You have summoned a myth unit at your Ushnu!" );
      UnitCreate( 0, cUnitTypeOsirisBoxGlow, 1, kbUnitGetPosition(buildingid) );
      BannerArmySpawn( playerid, buildingid, true, spawnProto, 1 );
   }
   else
      trChatSendToPlayer( 0, playerid, "You must have population available for <MythUnitCeremony> to spawn a myth unit." );
   subtract_float( MYTH_CEREMONY_POINTS, fRate );
   return( stillGood );
*/
   return( true );
}

void _SapaIncaCeremonyStatEffects(int playerid=-1, int dancerDifference=0)
{
/*
   int ageDifference = kbGetAge() - get_int(PREV_USHNU_AGE, playerid);
   if ( ageDifference != 0 )
      add_int( PREV_USHNU_AGE, ageDifference, playerid );
   else if ( dancerDifference == 0 )
      return;

  //If here, something changed and stats need updating!
*/
}

//======================================================================================================================
// CEREMONY HELPERS:
int _ChangeCeremonyChecker(int playerid=-1, int failedTactic=-1)
{
   int changeTo = -1;
/*
   if ( failedTactic <= 0 ) {
      changeTo = get_int( NEW_USHNU_CEREMONY, playerid );  //Player intentionally changed tactic.
      if ( changeTo > 0 )
         subtract_int( NEW_USHNU_CEREMONY, changeTo, playerid );
   }
   else {
      bool resolved = false;
      if ( failedTactic == cUnitTypeFavorCeremony )
         resolved = ( (kbResourceGet(cResourceFavor) + favor_grant) < 90.0 );
      else if ( failedTactic == cUnitTypeMythUnitCeremony )
         resolved = ( (kbGetPopCap() - kbGetPop()) > 0 );
      if ( resolved ) {
         subtract_int( FAILED_USHNU_CEREMONY, failedTactic, playerid );
         changeTo = failedTactic;
      }
   }
*/
   return( changeTo );
}
void _NegateCeremonyNonTechEffects(int playerid=-1, int ceremonyid=-1, int prevDancers=0) {
/*
   if ( ceremonyid == cUnitTypeSapaIncaCeremony )
      _SapaIncaCeremonyStatEffects( playerid, negate(prevDancers) );
*/
}
int _UpdateCeremonyData(int playerid=-1, int changeCeremony=0, int prevCeremony=0, int currDancers=0, int prevDancers=0,
                        int failedTactic=-1)
{
   bool techSwitch = (currDancers != prevDancers);
   int newCeremony = prevCeremony;
/*
   if ( techSwitch )
      add_int( PREV_USHNU_DANCERS, (currDancers - prevDancers), playerid );
   if ( changeCeremony >= 0 ) {  //Change the tactic, due to either manual/automated reason.
      techSwitch = true;
      newCeremony = changeCeremony;
      add_int( PREV_USHNU_CEREMONY, (changeCeremony - prevCeremony), playerid );
      if ( changeCeremony == failedTactic ) {  //Change was due to automated reason (old tactic failed, but now viable).
         add_int( failedTactic, -1, playerid );
         add_int( prevCeremony, 1, playerid );
      }
   }
   if ( techSwitch ) {
      int oldTechid = get_int( USHNU_TECHID, playerid );
      int newTechid = _GetCeremonyTechID( thisCeremony, currDancers );
      if ( newTechid != oldTechid ) {
         add_int( USHNU_TECHID, (newTechid - oldTechid), playerid );
         trTechSetStatus( playerid, oldTechid, cTechStatusUnobtainable );
         trTechSetStatus( playerid, newTechid, cTechStatusActive );
      }
   }
   if ( currDancers <= 0 ) {
      newCeremony = -1;
      if ( prevDancers > 0 )
         _NegateCeremonyNonTechEffects( playerid, prevCeremony, prevDancers );
   }
*/
   return( newCeremony );
}

float IncaUshnuCeremonyEffects(int playerid=-1, int basicQid=-1, int arrayid=-1, float fTimeFactor=1.0)
{
   float fSapaRespawnRate = fTimeFactor;
/*
   int buildingid = get_ushnu_id( arrayid );
   if ( kbUnitGetCurrentHitpoints(buildingid) <= 0.0 ) {
      buildingid = find_unit( basicQid, cUnitTypeUshnu );
      if ( buildingid >= 0 )
         set_ushnu_id( buildingid, arrayid );
   }

   int currDancers = 0;
   int kbworkers = kbUnitGetNumberWorkers( buildingid );
   for(i=0; < kbworkers) {
      int workerid = kbUnitGetWorkerID( buildingid, i );
      if ( kbUnitGetActionType(workerid) != cActionGather )
         continue;
      if ( currDancers >= 20 ) {
         aiTaskUnitWork( workerid, workerid );  //"aiTaskUnitStopWorking"
         trChatSendToPlayer( 0, playerid, "The Ushnu can only support 10 worker slots at a time." );
         continue;
      }
      int protoid = kbUnitGetProtoUnitID( workerid );
      if ( protoid == cUnitTypeVillagerInca )
         currDancers = currDancers + 2;
      else if ( protoid == cUnitTypeVillagerInca2 )
         currDancers = currDancers + 4;
      else  //Llama
         currDancers++;
   }

   int failedTactic = get_int( FAILED_USHNU_CEREMONY, playerid );
   int prevDancers = get_int( PREV_USHNU_DANCERS, playerid );
   int changeCeremony = _ChangeCeremonyChecker( playerid, failedTactic );
   if ( (prevDancers <= 0) && (currDancers <= 0) && (changeCeremony < 0) )
      return( fSapaRespawnRate );

   int prevCeremony = get_int( PREV_USHNU_CEREMONY, playerid );
   int thisCeremony = _UpdateCeremonyData( playerid, changeCeremony, prevCeremony, currDancers, prevDancers, failedTactic );
   if ( thisCeremony < 0 )  //_UpdateData says no need to proceed.
      return( fSapaRespawnRate );

   bool stillGood = true;
   float fFavorRate = fTimeFactor * get_float(cUnitTypeUshnu) * currDancers;
   if ( thisCeremony == cUnitTypeHealCeremony )
      _HealCeremonyEffects( playerid, (fTimeFactor * -3.75 * currDancers) );
   else if ( thisCeremony == cUnitTypeFavorCeremony ) {
      fFavorRate = fFavorRate * 2.25;
      stillGood = ( (kbResourceGet(cResourceFavor) + favor_grant + fFavorRate) < 100.0 );
   }
   else if ( thisCeremony == cUnitTypeSapaIncaCeremony ) {
      _SapaIncaCeremonyStatEffects( playerid, (currDancers - prevDancers) );
      fSapaRespawnRate = fSapaRespawnRate * (1.00 + (0.10 * currDancers));
   }
   else if ( thisCeremony == cUnitTypeMythUnitCeremony )
      stillGood = _MythUnitCeremonyEffects( playerid, buildingid, (fTimeFactor * currDancers) );

   favor_grant = favor_grant + fFavorRate;
   if ( stillGood == false ) {
      add_int( FAILED_USHNU_CEREMONY, thisCeremony, playerid );
      add_int( thisCeremony, 1, playerid );
      add_int( cUnitTypeSapaIncaCeremony, -1, playerid );
      set_int( PREV_USHNU_CEREMONY, cUnitTypeSapaIncaCeremony, playerid );
   }
*/
   return( fSapaRespawnRate );
}

//======================================================================================================================
//RETURNS: SapaInca's unit id. -1 if he's dead.
int IncaHeroAbilities(int playerid=-1, int basicQid=-1, float fTimeFactor=1.0)
{
   int sapaIncaID = -1;
/*
   kbUnitQuerySetUnitType( basicQid, cUnitTypeHero );
   int results = kbUnitQueryExecute( basicQid );
   for(i=0; < results) {
      int heroid = kbUnitQueryGetResult( basicQid, i );
      int heroProto = kbUnitGetProtoUnitID( heroid );
//      if ( heroProto < cUnitTypeSapaInca )
//         continue;
      if ( heroProto == cUnitTypeSapaInca )
         sapaIncaID = heroid;
      else if ( heroProto == cUnitTypeWarlordInca )
         _WarlordAbilities( playerid, heroid, fTimeFactor );
   }
   kbUnitQueryResetResults( basicQid );
*/
   return( sapaIncaID );
}

void SapaIncaRespawnProcess(int playerid=-1, int basicQid=-1, float fReviveRate=1.0)
{
/*
   float fCurrent = get_float( cUnitTypeCameraStart );
   if ( (fCurrent + fReviveRate) >= SAPA_INCA_RESPAWN_POINTS ) {  //Time to respawn!
      int spawnFrom = find_unit( basicQid, cUnitTypeSettlementsThatTrainVillagers );
      if ( spawnFrom < 0 )
         spawnFrom = find_unit( basicQid, cUnitTypeUshnu );
      if ( spawnFrom >= 0 )
         BannerArmySpawn( playerid, spawnFrom, true, cUnitTypeSapaInca, 1 );
      fReviveRate = fReviveRate - SAPA_INCA_RESPAWN_POINTS;
   }
   add_float( cUnitTypeCameraStart, fReviveRate );
*/
}

void ViraAbilities(int playerid=-1, int basicQid=-1, int sapaIncaID=-1, float fTimeFactor=1.0)
{
/*
   if ( sapaIncaID >= 0 )
      ViraSapaIncaPowers( playerid, sapaIncaID, basicQid, fTimeFactor );
*/
}
void PachaAbilities(int playerid=-1, int basicQid=-1, int sapaIncaID=-1, float fTimeFactor=1.0)
{
/*
   if ( sapaIncaID >= 0 )
      PachaSapaIncaPowers( playerid, sapaIncaID, basicQid, fTimeFactor );

   BuildingCompletionBonus( playerid, FARM_BUILD_QRY, -1, false, 15.0 );
   wood_grant = wood_grant + (fTimeFactor * 0.125 * GetHuntingVillagerPop());
*/
}
void IntiAbilities(int playerid=-1, int basicQid=-1, int sapaIncaID=-1, float fTimeFactor=1.0)
{
/*
   if ( sapaIncaID >= 0 )
      IntiSapaIncaPowers( playerid, sapaIncaID, basicQid, fTimeFactor );

   int number = StatDifference( playerid, cStatRazingsCost, PREV_DEAD_UNITS_COST );
   if ( number > 0 ) {
      float fNumber = get_float(cUnitTypeGoldMine) * number;
      int resourceid = RNG_Slow( 3 );
      add_resource_grant( resourceid, fNumber );
      number = fNumber;
      if ( number > 0 )
         trChatSendToPlayer( 0, playerid, "Plundered "+number+" "+ResourceName(resourceid)+" from destroyed buildings." );
   }

   int remaining = get_int( INCA_TEMPLE_REWARDS, playerid );
   if ( remaining > 0 ) {
      number = BuildingCompletionBonus( playerid, TEMPLE_BUILD_QRY, -1, true, 1, remaining );
      if ( number > 0 ) {
         subtract_int( INCA_TEMPLE_REWARDS, number, playerid );
         if ( number >= remaining )
            CleanupBuildingCompletion( playerid, TEMPLE_BUILD_QRY );
      }
   }
*/
}

void IncaFortifications(int playerid=-1)
{
/*
   int buildQid = get_int( INCA_FORTIFICATION_QRY, playerid );  //AorB state.
   transform_results( buildQid, cUnitTypeWallConnector, cUnitTypeWallConnectorInca, true );
   transform_results( buildQid, cUnitTypeWallLong, cUnitTypeWallLongInca, true );
   transform_results( buildQid, cUnitTypeWallShort, cUnitTypeWallShortInca, true );
   transform_results( buildQid, cUnitTypeWallMedium, cUnitTypeWallMediumInca, true );
   transform_results( buildQid, cUnitTypeGate, cUnitTypeGateInca, true );
*/
}

void IncaEconomicAbilities(int playerid=-1, float fTimeFactor=1.0)
{
/*
  //Double-Villager increased Yields.
   int actionQid = get_int( ACTION_QRY, playerid );  //action unspecified.
   kbUnitQuerySetUnitType( actionQid, cUnitTypeVillagerInca2 );
   GatherIncreaseAura( playerid, actionQid, (fTimeFactor * get_float(cUnitTypeTunaBush)),
      (fTimeFactor * get_float(cUnitTypePine)), (fTimeFactor * get_float(cUnitTypeJadeMine)) );
   kbUnitQueryResetResults( actionQid );

  //Kamayuks ....


  //Llamas have a limit shared across your Team!
   int teamQid = get_int( ALLY_LLAMA_QRY, playerid );  //RelationAlly, Llama
   int myCount = kbUnitCount( playerid, cUnitTypeLlama, cUnitStateAlive );
   int teamDeficit = get_int(TEAM_LLAMA_LIMIT, playerid) - (myCount + kbUnitQueryExecute(teamQid));
   kbUnitQueryResetResults( teamQid );
   int desired = xsClamp( myCount + teamDeficit, 10, 0 );
   set_int( cUnitTypeLlama, desired, playerid );
*/
}

//===========================================================================================================
// MITA SYSTEM:
void IncaMitaSystemBonus(int playerid=-1)
{
   float fMitaAmount = _MitaResourceTotal(playerid) - get_float(MITA_ACCUMULATOR);
   if ( fMitaAmount > 0.0 )
      gold_grant = gold_grant + (get_float(cUnitTypeManorInca) * fMitaAmount);

   fMitaAmount = fMitaAmount + xsMax(food_grant, 0.0) + xsMax(wood_grant, 0.0) + xsMax(gold_grant, 0.0);
   if ( fMitaAmount > 0.0 )  //Ensure resources granted by script won't give us bonus Gold!
      add_float( MITA_ACCUMULATOR, fMitaAmount );
}

void MitaRechargeFunc(int playerid=-1) {
   add_int( MITA_COOLDOWN, -1, playerid );
   if ( get_int(MITA_COOLDOWN, playerid) <= 0 ) {
      xsDisableRule( "MitaCooldown"+playerid );
      for(protoid=cUnitTypeMitaSystem0; <= cUnitTypeMitaSystem3)
         trUnforbidProtounit( playerid, kbGetProtoUnitName(protoid) );
   }
}
rule MitaCooldown1  minInterval 15 maxInterval 15 runImmediately inactive { MitaRechargeFunc(1); }
rule MitaCooldown2  minInterval 15 maxInterval 15 runImmediately inactive { MitaRechargeFunc(2); }
rule MitaCooldown3  minInterval 15 maxInterval 15 runImmediately inactive { MitaRechargeFunc(3); }
rule MitaCooldown4  minInterval 15 maxInterval 15 runImmediately inactive { MitaRechargeFunc(4); }
rule MitaCooldown5  minInterval 15 maxInterval 15 runImmediately inactive { MitaRechargeFunc(5); }
rule MitaCooldown6  minInterval 15 maxInterval 15 runImmediately inactive { MitaRechargeFunc(6); }
rule MitaCooldown7  minInterval 15 maxInterval 15 runImmediately inactive { MitaRechargeFunc(7); }
rule MitaCooldown8  minInterval 15 maxInterval 15 runImmediately inactive { MitaRechargeFunc(8); }
rule MitaCooldown9  minInterval 15 maxInterval 15 runImmediately inactive { MitaRechargeFunc(9); }
rule MitaCooldown10 minInterval 15 maxInterval 15 runImmediately inactive { MitaRechargeFunc(10); }
rule MitaCooldown11 minInterval 15 maxInterval 15 runImmediately inactive { MitaRechargeFunc(11); }
rule MitaCooldown12 minInterval 15 maxInterval 15 runImmediately inactive { MitaRechargeFunc(12); }

//======================================================================================================================
void LaunchInca(int playerid=0, int civid=-1)  //find_this
{
/*
  //CivNameOverride now called in AllCivsPostLaunch().
   set_civ_and_culture( playerid, civid, cTechAge1Inca );

   int qid = CreateQuery( playerid, cUnitTypeLogicalTypeCanBeHealed, cUnitStateAlive );
   kbUnitQuerySetActionType( qid, cActionIdle );
   set_int( HEAL_CEREMONY_QRY, qid, playerid );

   qid = CreateQuery( playerid, -1, cUnitStateAlive );
   set_int( POSITION_QRY, qid, playerid );

  //Mita Initialize.
   set_int( MITA_LEVEL, cUnitTypeMitaSystem1, playerid );
   set_float( MITA_ACCUMULATOR, _MitaResourceTotal(playerid) );
   set_int( MITA_COOLDOWN, 0, playerid );

  //Ceremony stuff initialize.
   set_int( NEW_USHNU_CEREMONY, 0, playerid );
   set_int( FAILED_USHNU_CEREMONY, 0, playerid );
   set_int( PREV_USHNU_CEREMONY, cUnitTypeFavorCeremony, playerid );
   set_int( PREV_USHNU_DANCERS, 0, playerid );
   _NextMythCeremonySpawn( playerid, cAge2 );  //Always start with rand Age2 mythunit.

   int arrayid = array_create( "inca", 0 );
   set_ushnu_id( -1, arrayid );
   set_int( ARRAY_ID, arrayid, playerid );

   if ( kbIsPlayerHuman(playerid) == false ) {
      for(resourceid=0; < cResourceFavor) {
         kbTechTreeClearDropsiteUnitIDsByResource( resourceid );
         kbTechTreeAddDropsiteUnitIDByResource( resourceid, cUnitTypeTambo );
         kbTechTreeAddDropsiteUnitIDByResource( resourceid, cUnitTypeSettlementLevel1 );
         kbTechTreeAddDropsiteUnitIDByResource( resourceid, cUnitTypeCitadelCenter );
      }
      set_int( cUnitTypeTambo, -1, playerid );
      trModifyProtounit( "Tambo", playerid, cModifyBuildPoints, -9.9e12 );
   }

   TRSelectUnimportantUnit();
   trUnitChangeInArea( playerid, playerid, "Villager Chinese", "VillagerInca", 9.9e12 );
   trUnitChangeInArea( playerid, playerid, "Castle", "Fortress", 9.9e12 );  //For Sea of Worms
   trUnitChangeInArea( playerid, playerid, "Transport Ship Chinese", "Transport Ship Norse", 9.9e12 );  //For Vinlandsaga
//   trUnitChangeInArea( playerid, playerid, "Fishing Ship Chinese", "FishingShipInca", 9.9e12 );
   trUnitChangeInArea( playerid, playerid, "Barracks Chinese", "Kallanca", 9.9e12 );
   trUnitChangeInArea( playerid, playerid, "Stable Chinese", "Archery Range", 9.9e12 );
   trUnitChangeInArea( playerid, playerid, "Storage Pit", "Tambo", 9.9e12 );
   trUnitChangeInArea( playerid, playerid, "Manor", "ManorInca", 9.9e12 );
//   trUnitChangeInArea( playerid, playerid, "Titan Atlantean", "TitanInca", 9.9e12 );
   xsEnableRule( "IncaP"+playerid );
*/
}

void IncaRuleFunc(int playerid=-1)  //find_this
{
/*
  //Preliminary stuff.
   int qid = get_int( BASIC_QUERY, playerid );
   RuleFuncImmediateSetup( playerid, qid, cTechAge1Inca );
   int arrayid = get_int( ARRAY_ID, playerid );
   float fTimeFactor = get_time_modifier( arrayid );

  //Everybody stuff (due to HandleScriptTechs, this must preceed most of the other stuff here).
   AllCivsNewMechanics( playerid, cTechAge1Inca, qid, fTimeFactor );

  //RuleFunc special units.
   SpecialPowersTokensInca( playerid, qid );

  //Inca Villager/Kamayuk abilities.
   IncaEconomicAbilities( playerid, fTimeFactor );

  //Inca Heroes All Powers (BEFORE CeremoyEffects() due to checking if Sapa is alive).
   int sapaid = IncaHeroAbilities( playerid, qid, fTimeFactor );

  //Civ-Specific stuff.
   switch( get_my_civ() ) {
   case cTechAge1Vira:  { ViraAbilities(playerid, qid, sapaid, fTimeFactor); break; }
   case cTechAge1Pacha: { PachaAbilities(playerid, qid, sapaid, fTimeFactor); break; }
   case cTechAge1Inti:  { IntiAbilities(playerid, qid, sapaid, fTimeFactor); break; } }

  //Ushnu Ceremonies.
   float fRate = IncaUshnuCeremonyEffects( playerid, qid, arrayid, fTimeFactor );

  //Revive Sapa Inca if he's down.
   if ( sapaid < 0 )
      SapaIncaRespawnProcess( playerid, qid, fRate );

  //Special Fortifications.
   IncaFortifications( playerid );

  //Mita System (LAST excluding GrantResources so everything else can use the <resource>_grant vars).
   IncaMitaSystemBonus( playerid );

  //Give resources at end.
   GrantResourcesOwed( playerid );
*/
}
rule IncaP1  minInterval 1 maxInterval 1 priority 100 group _dod1 inactive  { IncaRuleFunc(1); }
rule IncaP2  minInterval 1 maxInterval 1 priority 100 group _dod2 inactive  { IncaRuleFunc(2); }
rule IncaP3  minInterval 1 maxInterval 1 priority 100 group _dod3 inactive  { IncaRuleFunc(3); }
rule IncaP4  minInterval 1 maxInterval 1 priority 100 group _dod4 inactive  { IncaRuleFunc(4); }
rule IncaP5  minInterval 1 maxInterval 1 priority 100 group _dod5 inactive  { IncaRuleFunc(5); }
rule IncaP6  minInterval 1 maxInterval 1 priority 100 group _dod6 inactive  { IncaRuleFunc(6); }
rule IncaP7  minInterval 1 maxInterval 1 priority 100 group _dod7 inactive  { IncaRuleFunc(7); }
rule IncaP8  minInterval 1 maxInterval 1 priority 100 group _dod8 inactive  { IncaRuleFunc(8); }
rule IncaP9  minInterval 1 maxInterval 1 priority 100 group _dod9 inactive  { IncaRuleFunc(9); }
rule IncaP10 minInterval 1 maxInterval 1 priority 100 group _dod10 inactive { IncaRuleFunc(10); }
rule IncaP11 minInterval 1 maxInterval 1 priority 100 group _dod11 inactive { IncaRuleFunc(11); }
rule IncaP12 minInterval 1 maxInterval 1 priority 100 group _dod12 inactive { IncaRuleFunc(12); }
