//Not a stand-alone file! Just this-civ-specific stuffall collected together in here.
//To make things more encapsulated and less cluttered.

void LaunchMaya(int playerid=0, int civid=-1)  //find_this
{
/*
  //CivNameOverride now called in AllCivsPostLaunch().
   set_civ_and_culture( playerid, civid, cTechAge1Maya );

   int qid = CreateQuery( playerid, -1, cUnitStateAlive );
   set_int( POSITION_QRY, qid, playerid );

   qid = CreateQuery( playerid, cUnitTypeFishingShipMaya, cUnitStateAlive );
   kbUnitQuerySetActionType( qid, cActionGather );
   set_int( MAYA_FISHBOAT_QRY, qid, playerid );

   if ( civid == cTechAge1Itzam )
      set_int( RESEARCH_REWARD_PROTO, cUnitTypeJavelineer, playerid );
   else if ( civid == cTechAge1AhPuch )
      set_int( RESEARCH_REWARD_PROTO, cUnitTypeRunnerMaya, playerid );
   else {  //Chaac.
      set_int( RESEARCH_REWARD_PROTO, cUnitTypeSpearmanMaya, playerid );
     //Init these queries for unit-spawn bonuses.
      qid = CreateQuery( playerid, cUnitTypeSettlement, cUnitStateBuilding );
      set_int( TC_BUILD_MAYA_QRY, qid, playerid );
   }
   set_int( CURRENT_AGE_UNLOCKED, cAge1, playerid );
   set_int( RESEARCH_REWARDS, 0, playerid );
   set_int( PROGRESS_TECHS, 0, playerid );
   set_int( TOTAL_PROGRESS_TECHS, 0, playerid );
   set_int( HERO_TWIN_DISTANCE, 0, playerid );
   set_float( cUnitTypeBush, HERO_TWINS_XP_THRESHOLD );

   int arrayid = array_create( "maya", 0 );
   set_int( ARRAY_ID, arrayid, playerid );

   if ( kbIsPlayerHuman(playerid) == false ) {
      for(resourceid=0; < cResourceFavor) {
         kbTechTreeClearDropsiteUnitIDsByResource( resourceid );
         kbTechTreeAddDropsiteUnitIDByResource( resourceid, choose(resourceid == cResourceGold,
                                                            cUnitTypeMiningCamp, cUnitTypeMill) );
         kbTechTreeAddDropsiteUnitIDByResource( resourceid, cUnitTypeSettlementLevel1 );
         kbTechTreeAddDropsiteUnitIDByResource( resourceid, cUnitTypeCityCenter );
         kbTechTreeAddDropsiteUnitIDByResource( resourceid, cUnitTypeCitadelCenter );
      }
      trModifyProtounit( "Mining Camp", playerid, cModifyBuildPoints, -9.9e12 );
      trModifyProtounit( "Mill", playerid, cModifyBuildPoints, -9.9e12 );
   }
   TRSelectUnimportantUnit();
   trUnitChangeInArea( playerid, playerid, "Villager Chinese", "VillagerMaya", 9.9e12 );
   trUnitChangeInArea( playerid, playerid, "Castle", "Palace", 9.9e12 );  //For Sea of Worms
   trUnitChangeInArea( playerid, playerid, "Fishing Ship Chinese", "FishingShipMaya", 9.9e12 );
//   trUnitChangeInArea( playerid, playerid, "Titan Atlantean", "TitanMaya", 9.9e12 );
   xsEnableRule( "MayaP"+playerid );
*/
}

void InstantRelicDeposit(int playerid=-1, int arrayid=-1, int civid=-1)
{
/*
   int neededDropoffs = kbUnitCount(playerid, cUnitTypeRelic) - get_int(NUM_RELICS, playerid);
   if ( neededDropoffs <= 0 )
      return;
   int templeQid = -1;
   int posQid = -1;
   int garrisonMax = 0;
   int hero1id = get_herotwin1( arrayid );
   int hero2id = get_herotwin2( arrayid );
   for(i=0; < 2) {
      int heroid = choose( i==0, hero1id, hero2id );
      if ( kbUnitGetCurrentHitpoints(heroid) <= 0.0 )
         continue;

     //Check if (s)he has a Relic (unlikely, so this saves CPU).
      trUnitSelectClear();
      trUnitSelectByID( heroid );
      if ( trUnitGetContained() <= 0 )
         continue;
      if ( templeQid < 0 ) {
         garrisonMax = choose( civid != cTechAge1Chaac, 5, 8 );
         templeQid = get_int( NEARBY_TEMPLES_QRY, playerid );
         if ( templeQid < 0 ) {
            templeQid = CreateQuery( playerid, cUnitTypeTemple, cUnitStateAlive );
            kbUnitQuerySetAscendingSort( templeQid, true );
            set_int( NEARBY_TEMPLES_QRY, templeQid, playerid );
         }
         posQid = get_int( POSITION_QRY, playerid );
         kbUnitQuerySetUnitType( posQid, cUnitTypeRelic );
         kbUnitQuerySetMaximumDistance( posQid, 1.0 );
         kbUnitQuerySetAscendingSort( posQid, true );
      }

     //Get the Relic's ID.
      vector heroLoc = kbUnitGetPosition( heroid );
      kbUnitQuerySetPosition( posQid, heroLoc );
      kbUnitQueryExecute( posQid );
      int relicid = kbUnitQueryGetResult( posQid, 0 );
      kbUnitQueryResetResults( posQid );

     //Get nearest Temple, skip ones that are already full.
      int templeid = -1;
      kbUnitQuerySetPosition( templeQid, heroLoc );
      int temples = kbUnitQueryExecute( templeQid );
      for(i2=0; < temples) {
         trUnitSelectClear();
         trUnitSelectByID( kbUnitQueryGetResult(posQid, i2) );
         if ( trUnitGetContained() < garrisonMax ) {
            templeid = trGetSelectedUnitID( 0 );
            break;
         }
      }
      kbUnitQueryResetResults( templeQid );

     //Drop the relic (needed for garrison trig to work), garrison it if we have a viable Temple.
      aiTaskUnitEject( relicid, heroid );
      if ( templeid < 0 )
         trChatSendToPlayer( 0, playerid, "Unable to deposit relic; insufficent Temple capacity." );
      else {
         trUnitSelectClear();
         trUnitSelectByID( relicid );
         trImmediateUnitGarrison( trGetUnitScenarioName(templeid) );
      }
   }
   kbUnitQuerySetAscendingSort( posQid, false );  //Unset this. Unittype & distance OK to leave as garbage.
*/
}

void SpecialPowersTokensMaya(int playerid=-1, int basicQid=-1)
{
   int tokens = kbUnitCount( playerid, cUnitTypeSpecialPowers, cUnitStateAliveOrBuilding );
   if ( tokens <= 0 ) return;

   trChatSend( 0, "SpecialPowers tokens Maya="+tokens );
   int section = tokens - kbUnitCount(playerid, cUnitTypeSpecialPowers, cUnitStateAlive);
   if ( section > 0 ) {
     //#. Tianguis mechanics (next most prob?)
      section = TianguisExchange( playerid, basicQid );
      tokens = tokens - section;
      if ( tokens <= 0 ) return;
   }

  //#. New Civ Titan fix.
   NewCultureTitanFix( playerid, basicQid, cUnitTypeTitanMaya );
}

void CommunalFarmGathering(int playerid=-1, int basicQid=-1, float fTimeFactor=1.0)
{
   int foodGatherers = 0;
   int goldGatherers = 0;
   int foodAluxes = 0;
   int goldAluxes = 0;
   kbUnitQuerySetUnitType( basicQid, cUnitTypeFarmBig );
   int foodFarms = kbUnitQueryExecute( basicQid );
   kbUnitQuerySetUnitType( basicQid, cUnitTypeCottonFarmBig );
   int totalFarms = kbUnitQueryExecute( basicQid );
   _FarmingVillPop = 0;
   for(i=0; < totalFarms) {
      int farmid = kbUnitQueryGetResult( basicQid, i );
      int kbworkers = kbUnitGetNumberWorkers( farmid );
      int gatherers = 0;
      int aluxes = 0;
      for(i2=0; < kbworkers) {
         int workerid = kbUnitGetWorkerID( farmid, i2 );
         if ( kbUnitGetActionType(workerid) != cActionGather )
            continue;
         if ( gatherers >= 8 ) {
            trChatSendToPlayer( 0, playerid, "Only 8 units can gather from a Communal Farm at a time." );
            aiTaskUnitWork( workerid, workerid );  //"aiTaskUnitStopWorking"
            continue;
         }
         gatherers++;
         if ( kbUnitGetProtoUnitID(workerid) == cUnitTypeAluxe )
            aluxes++;
      }
      if ( i < foodFarms ) {
         foodGatherers = foodGatherers + gatherers;
         foodAluxes = foodAluxes + aluxes;
      }
      else {
         goldGatherers = goldGatherers + gatherers;
         goldAluxes = goldAluxes + aluxes;
      }
      _FarmingVillPop = _FarmingVillPop + gatherers;
   }
   kbUnitQueryResetResults( basicQid );

   if ( foodGatherers > 0 )
      food_grant = food_grant + (fTimeFactor * get_float(cUnitTypeFarmBig) * ((0.10 * foodAluxes) + foodGatherers));
   if ( goldGatherers > 0 )
      gold_grant = gold_grant + (fTimeFactor * get_float(cUnitTypeCottonFarmBig) * ((0.10 * goldAluxes) + goldGatherers));
}

//RETURNS: TRUE if no prog techs are researching (which includes queued).
bool _StopExtraProgFunc(int playerid=-1, int basicQid=-1, int enabledAge=-1)
{
   int buildings = -1;
   bool noneResearching = true;
   if ( basicQid < 0 ) {  //Called from the rule.
      xsSetContextPlayer( playerid );
      basicQid = get_int( BASIC_QUERY, playerid );
      enabledAge = get_int( CURRENT_AGE_UNLOCKED, playerid );
   }
   for(techid=cTechProgMilitary1; <= cTechProgReligion6) {
      int tStatus = kbGetTechStatus( techid );
      if ( tStatus == cTechStatusActive )
         continue;
      if ( tStatus == cTechStatusResearching ) {
         noneResearching = false;
         if ( buildings == -1 ) {
            kbUnitQuerySetUnitType( basicQid, choose(kbIsPlayerHuman(playerid), cUnitTypeObservatory, cUnitTypeBuilding) );
            buildings = kbUnitQueryExecute( basicQid );
         }
         for(i=0; < buildings)
            researchCancelByID( techid, kbUnitQueryGetResult(basicQid, i), playerid );
      }
      else if ( enabledAge == cAge5 )  //Done with prog techs. Disable unchosen ones.
         trTechSetStatus( playerid, techid, cTechStatusUnobtainable );
   }
   kbUnitQueryResetResults( basicQid );

   if ( noneResearching ) {
      xsDisableRule( "StopExtraProgTechs"+playerid );
      if ( enabledAge == cAge5 )  //Mark that there's no need to disable leftovers again.
         subtract_int( CURRENT_AGE_UNLOCKED, enabledAge+1, playerid );
   }
   return( noneResearching );
}
rule StopExtraProgTechs1  highFrequency inactive { _StopExtraProgFunc(1); }
rule StopExtraProgTechs2  highFrequency inactive { _StopExtraProgFunc(2); }
rule StopExtraProgTechs3  highFrequency inactive { _StopExtraProgFunc(3); }
rule StopExtraProgTechs4  highFrequency inactive { _StopExtraProgFunc(4); }
rule StopExtraProgTechs5  highFrequency inactive { _StopExtraProgFunc(5); }
rule StopExtraProgTechs6  highFrequency inactive { _StopExtraProgFunc(6); }
rule StopExtraProgTechs7  highFrequency inactive { _StopExtraProgFunc(7); }
rule StopExtraProgTechs8  highFrequency inactive { _StopExtraProgFunc(8); }
rule StopExtraProgTechs9  highFrequency inactive { _StopExtraProgFunc(9); }
rule StopExtraProgTechs10 highFrequency inactive { _StopExtraProgFunc(10); }
rule StopExtraProgTechs11 highFrequency inactive { _StopExtraProgFunc(11); }
rule StopExtraProgTechs12 highFrequency inactive { _StopExtraProgFunc(12); }

void ProgressTechAgeAdvanceUnlock(int playerid=-1, int basicQid=-1)
{
   int currentProg = get_int( PROGRESS_TECHS, playerid );
   if ( currentProg <= 0 )
      return;
   subtract_int( PROGRESS_TECHS, currentProg, playerid );
   add_int( TOTAL_PROGRESS_TECHS, currentProg, playerid );
   int totalProg = get_int( TOTAL_PROGRESS_TECHS, playerid );
   int reward = currentProg - xsMax(3-totalProg, 0);
   if ( reward > 0 )
      add_int( RESEARCH_REWARDS, reward, playerid );

   int ageUnlocked = get_int( CURRENT_AGE_UNLOCKED, playerid );
   if ( ageUnlocked <= -1 )  //We've done everything we'll ever need to do.
      return;
   int advancer = (totalProg - (ageUnlocked * 3)) / 3;
   if ( (ageUnlocked + advancer) > cAge5 )
      advancer = cAge5 - ageUnlocked;
   if ( advancer > 0 ) {
      for(i=0; < advancer)
         trTechSetStatus( playerid, (cTechEnableAge2Maya + ageUnlocked + i), cTechStatusActive );
      add_int( CURRENT_AGE_UNLOCKED, advancer, playerid );
      ageUnlocked = ageUnlocked + advancer;
      trChatSendToPlayer( 0, playerid, "You have aquired enough knowledge to advance to the "+AgeName(ageUnlocked)+"!" );
      if ( _StopExtraProgFunc(playerid, basicQid, ageUnlocked) == false )
         xsEnableRule( "StopExtraProgTechs"+playerid );
   }
}

//============================================================================================================================
void TwinHeroAbilities(int playerid=-1, int arrayid=-1, int qid=-1, float fTimeFactor=1.0, bool useGoodHeroTwins=true)
{
/* READY TO UNCOMMENT
   int meleeHeroType = cUnitTypeEvilTwinM;
   int rangedHeroType = cUnitTypeEvilTwinR;
   if ( useGoodHeroTwins ) {
      meleeHeroType = cUnitTypeHeroTwinM;
      rangedHeroType = cUnitTypeHeroTwinR;
   }
  //Store/Get the IDs of our twin heroes.
   int heroTwinM = get_herotwin1( arrayid );
   int heroTwinR = get_herotwin2( arrayid );
   if ( kbUnitGetCurrentHitpoints(heroTwinM) <= 0.0 ) {
      heroTwinM = find_unit( qid, meleeHeroType );
      if ( heroTwinM >= 0 ) set_herotwin1( heroTwinM, arrayid );
   }
   if ( kbUnitGetCurrentHitpoints(heroTwinR) <= 0.0 ) {
      heroTwinR = find_unit( qid, rangedHeroType );
      if ( heroTwinR >= 0 ) set_herotwin2( heroTwinR, arrayid );
   }

  //HERO TWINS POWERS!
   if ( useGoodHeroTwins ) {
     //1. Generate XP when fighting (ie, Loki Hersir) and can summon a warrior.
      if ( get_float(cUnitTypeBush) > 0.0 ) {
         int number = 0;
         if ( kbUnitGetAnimationActionType(heroTwinM) == cActionHandAttack )
            number++;
         if ( kbUnitGetAnimationActionType(heroTwinR) == cActionRangedAttack )
            number++;
         if ( number != 0 )
            subtract_float( cUnitTypeBush, (fTimeFactor * number) );
      }
      else if ( kbGetPopCap() > kbGetPop() ) {
         int unitid = -1;
         if ( kbUnitGetAnimationActionType(heroTwinM) == cActionHandAttack )
            unitid = heroTwinM;
         else if ( kbUnitGetAnimationActionType(heroTwinR) == cActionRangedAttack )
            unitid = heroTwinR;
         if ( unitid >= 0 ) {
            trChatSendToPlayer( 0, playerid, "The Hero Twins have summoned a warrior!" );
            UnitCreate( playerid, cUnitTypeRunnerMaya, 1, kbUnitGetPosition(unitid) );
            add_float( cUnitTypeBush, HERO_TWINS_XP_THRESHOLD );
         }
      }
     //2. Lose strength the further they get from each other.
      number = get_int( HERO_TWIN_DISTANCE, playerid );
      if ( (heroTwinR >= 0) && (heroTwinM >= 0) ) {  //The Strength-thru-Proximity feature.
         trUnitSelectClear();
         trUnitSelectByID( heroTwinR );
         int distance = (trUnitDistanceToUnitID(heroTwinM) / HERO_DISTANCE_INTERVAL);
         distance = xsMin( distance, MAX_HERO_INTERVALS );
         if ( distance != number ) {
            int difference = distance - number;
            trModifyProtounit( "HeroTwinM", playerid, cModifyHitpoints, (HERO_HP_PENALTY * difference) );
            trModifyProtounit( "HeroTwinM", playerid, cModifyHandAttackHack, (HERO_ATTACK_PENALTY * difference) );
            trModifyProtounit( "HeroTwinR", playerid, cModifyHitpoints, (HERO_HP_PENALTY * difference) );
            trModifyProtounit( "HeroTwinR", playerid, cModifyRangedAttackPierce, (HERO_ATTACK_PENALTY * difference) );
            if ( distance > number )  //Further.
               trChatSendToPlayer( 0, playerid, "The Twins are growing weaker!" );
            else  //Closer.
               trChatSendToPlayer( 0, playerid, "The Twins are growing stronger!" );
            add_int( HERO_TWIN_DISTANCE, difference, playerid );
         }
      }
      else if ( number != 0 ) {  //Runs 1x, right as one/both Twins become dead.
         distance = negate( number );  //Restore remaining Twin's stats to baseline.
         trModifyProtounit( "HeroTwinM", playerid, cModifyHitpoints, (HERO_HP_PENALTY * distance) );
         trModifyProtounit( "HeroTwinM", playerid, cModifyHandAttackHack, (HERO_ATTACK_PENALTY * distance) );
         trModifyProtounit( "HeroTwinR", playerid, cModifyHitpoints, (HERO_HP_PENALTY * distance) );
         trModifyProtounit( "HeroTwinR", playerid, cModifyRangedAttackPierce, (HERO_ATTACK_PENALTY * distance) );
         add_int( HERO_TWIN_DISTANCE, distance, playerid );
      }
   }
   else {  //EVIL TWINS POWERS!
     //1. Melee Twin forces buildings to eject their garrisons.
      if ( kbUnitGetAnimationActionType(heroTwinM) == cActionHandAttack ) {
         unitid = kbUnitGetTargetUnitID( heroTwinM );
         if ( kbUnitIsType(unitid, cUnitTypeBuilding) ) {
            trUnitSelectClear();
            trUnitSelectByID( unitid );
            trUnitEjectContained();
         }
      }
     //2. Ranged Twin area-heals nearby buildings and can do Divine Strikes.
      if ( heroTwinR >= 0 ) {
         damage_units_in_area( heroTwinR, playerid, cUnitTypeBuilding, 12.0, (fTimeFactor * -1.5) );
         if ( kbUnitGetAnimationActionType(heroTwinR) == cActionRangedAttack )
            if ( get_int(EVIL_TWIN_DIVINE_STRIKE_COOLDOWN, playerid) == 0 ) {
               unitid = kbUnitGetTargetUnitID( heroTwinR );
               if ( kbUnitIsType(unitid, cUnitTypeHumanSoldier) )
                  if ( percent_damaged(unitid) >= 40 )
                     if ( RNG(100) < 20 ) {
                        trUnitDelete( false );
                        add_int( EVIL_TWIN_DIVINE_STRIKE_COOLDOWN, 2, playerid );
                        xsEnableRule( "EvilTwinStrikeRecharge"+playerid );
                     }
            }
      }
   }
*/
}

void MayaFishingBoatBonus(int playerid=-1, float fTimeFactor=1.0)
{
   int boatQid = get_int( MAYA_FISHBOAT_QRY, playerid );
   int number0 = kbUnitQueryExecute( boatQid );
   if ( number0 > 0 ) {
      kbUnitQueryResetResults( boatQid );
      float fMultiplier = fTimeFactor * kbGetPlayerHandicap(playerid) * get_float(cUnitTypeNavalShipyard);
      gold_grant = gold_grant + (fMultiplier * number0);
   }
}
/*
const int AutoBuild_ArraySize = 5;
int _freed_builder0 = -1;
int _freed_builder1 = -1;
int _freed_builder2 = -1;
int _freed_builder3 = -1;
int _freed_builder4 = -1;
int _set_freed_builder(int index=0, int builderid=-1) {
   switch( index ) {
   case 0:  { _freed_builder0 = builderid; break; }
   case 1:  { _freed_builder1 = builderid; break; }
   case 2:  { _freed_builder2 = builderid; break; }
   case 3:  { _freed_builder3 = builderid; break; }
   default: { _freed_builder4 = builderid; break; } }
   return( index+1 );
}
int _get_freed_builder(int index=0) {
   int retval = _freed_builder0;
   switch( index) {
   case 1: { retval = _freed_builder1; break; }
   case 2: { retval = _freed_builder2; break; }
   case 3: { retval = _freed_builder3; break; }
   case 4: { retval = _freed_builder4; break; } }
   return( retval );
}

int _building0 = -1;
int _building1 = -1;
int _building2 = -1;
int _building3 = -1;
int _building4 = -1;
void _set_building(int index=0, int buildingid=-1) {
   switch( index ) {
   case 0:  { _building0 = buildingid; break; }
   case 1:  { _building1 = buildingid; break; }
   case 2:  { _building2 = buildingid; break; }
   case 3:  { _building3 = buildingid; break; }
   default: { _building4 = buildingid; break; } }
}
int _get_building(int index=0) {
   int retval = _building0;
   switch( index) {
   case 1: { retval = _building1; break; }
   case 2: { retval = _building2; break; }
   case 3: { retval = _building3; break; }
   case 4: { retval = _building4; break; } }
   return( retval );
}
*/
void MayaAutoBuildingPower(int playerid=-1)
{
/*
   int neededBuilders = 0;
   int freedBuilders = 0;
   int freedIndex = 0;
   int nearbyUnitQid = get_int( NEARBY_UNIT_QRY, playerid );
   int buildQid = get_int( FOUNDATION_QRY, playerid );
   if ( buildQid < 0 ) {
      buildQid = CreateQuery( playerid, cUnitTypeBuilding, cUnitStateBuilding, false );
      set_int( FOUNDATION_QRY, buildQid, playerid );
      nearbyUnitQid = CreateQuery( playerid, cUnitTypeUnitClass, cUnitStateAlive, false );
      kbUnitQuerySetMaximumDistance( nearbyUnitQid, 8.0 );
      set_int( NEARBY_UNIT_QRY, nearbyUnitQid, playerid );
   }

   int results = kbUnitQueryExecute( buildQid );
   for(i=0; < results) {
      int foundationid = kbUnitQueryGetResult( buildQid, i );
      bool otherBuilder = false;
      int invisBuilder = -1;
      int number = kbUnitGetNumberWorkers( foundationid );
      for(i2=0; < number) {
         int kbworkerid = kbUnitGetWorkerID( foundationid, i2 );
         if ( kbUnitGetActionType(kbworkerid) != cActionBuild )
            continue;
         if ( kbUnitGetProtoUnitID(kbworkerid) != cUnitTypeInvisBuilder )
            otherBuilder = true;
         else
            invisBuilder = kbworkerid;
      }

      if ( (invisBuilder >= 0) && (otherBuilder) ) {
         aiTaskUnitWork( invisBuilder, invisBuilder );  //"aiTaskUnitStopWorking"
         if ( freedIndex < AutoBuild_ArraySize )
            freedIndex = _set_freed_builder( freedIndex, invisBuilder );
         freedBuilders++;
         continue;
      }

      kbUnitQuerySetPosition( nearbyUnitQid, kbUnitGetPosition(foundationid) );
      number = kbUnitQueryExecute( nearbyUnitQid );
      kbUnitQueryResetResults( nearbyUnitQid );
      if ( invisBuilder >= 0 ) {
         if ( number <= 0 ) {
            aiTaskUnitWork( invisBuilder, invisBuilder );  //"aiTaskUnitStopWorking"
            if ( freedIndex < AutoBuild_ArraySize )
               freedIndex = _set_freed_builder( freedIndex, invisBuilder );
            freedBuilders++;
         }
      }
      else if ( number > 0 ) {  //Needs a builder!
         if ( freedBuilders > 0 ) {  //Dont incr NumNeeded if we have freed-up ones!
            freedBuilders--;
            if ( freedIndex > 0 ) {  //Retask a freed one (only fails if array was already filled and now emptied :()
               freedIndex--;
               aiTaskUnitWork( _get_freed_builder(freedIndex), foundationid );
            }
         }
         else {
            if ( neededBuilders < AutoBuild_ArraySize )
               _set_building( neededBuilders, foundationid );
            neededBuilders++;
         }
      }
   }
   kbUnitQueryResetResults( buildQid );
   if ( needBuilders <= 0 )
      return;

   buildQid = get_int( INVIS_BUILDER_QRY, playerid );  //Player, InvisBuilder, Alive, Idle
   results = kbUnitQueryExecute(buildQid);
   number = needBuilders - results - freedBuilders;  //Freed-up workers unable to be tasked (exceed array size) count against number need to create.
   if ( number > 0 )
      UnitCreate( playerid, cUnitTypeInvisibleBuilder, number, vector(1,0,1) );
   number = xsMin( results, xsMin(needBuilders, AutoBuild_ArraySize) );
   for(i=0; < number)
      aiTaskUnitWork( kbUnitQueryGetResult(buildQid, i), _get_building(i) );
   kbUnitQueryResetResults( buildQid );
*/
}

void MayaDeathShadowsAbility(int playerid=-1)
{
/*
   int deadQid = get_int( DEAD_UNIT_QRY, playerid );
   if ( deadQid < 0 ) {
      deadQid = CreateQuery( playerid, cUnitTypeAbstractVillager, cUnitStateDead, false );
      set_int( DEAD_UNIT_QRY, deadQid, playerid );
   }
   int results = kbUnitQueryExecute( deadQid );
   if ( results <= 0 )
      return;
   int allowed = MAX_MAYA_SHADOWS - kbUnitCount(playerid, cUnitTypeSlowSpeed, cUnitStateAlive);
   for(i=0; < results) {
      int deadid = kbUnitQueryGetResult( deadQid, i );
      int protoid = kbUnitGetProtoUnitID( deadid );
      if ( allowed <= 0 ) {
         mutate( deadid, cUnitTypeVillagerDeadToken );
         if ( protoid == cUnitTypeAluxe )
            unitSetVariation( 2, deadid ); //0=Male, 1=Female, 2=Aluxe
      }
      else {
         allowed--;
         protoid = choose(protoid != cUnitTypeAluxe, cUnitTypeShadowMaya, cUnitTypeShadowMayaAluxe);
         UnitCreate( playerid, protoid, 1, kbUnitGetPosition(deadid) );
         destroy( deadid );
      }
   }
   kbUnitQueryResetResults( deadQid );
*/
}

void ResearchRewardBonus(int playerid=-1, int basicQid=-1)
{
   int numSpawns = get_int( RESEARCH_REWARDS, playerid );
   if ( numSpawns <= 0 )
      return;
   subtract_int( RESEARCH_REWARDS, numSpawns, playerid );
   int protoid = get_int( RESEARCH_REWARD_PROTO, playerid );
   int observatoryid = find_unit( basicQid, cUnitTypeObservatory );
   if ( observatoryid >= 0 )
      BannerArmySpawn( playerid, observatoryid, true, protoid, numSpawns );
   else for(resourceid=0; <= cResourceFavor)
      add_resource_grant( resourceid, (0.5 * kbUnitCostPerResource(protoid, resourceid) * numSpawns) );
}

//===================================================================================================================================
void MayaRuleFunc(int playerid=-1)  //find_this
{
  //Preliminary stuff.
   int qid = get_int( BASIC_QUERY, playerid );
   RuleFuncImmediateSetup( playerid, qid, cTechAge1Maya );
   int arrayid = get_int( ARRAY_ID, playerid );
   float fTimeFactor = get_time_modifier( arrayid );

  //Communal Farms (before AllCivsNewMechanics, due to FarmingVillPop).
   CommunalFarmGathering( playerid, qid, fTimeFactor );

  //Everybody stuff (due to HandleScriptTechs, this must preceed most of the other stuff here).
   AllCivsNewMechanics( playerid, cTechAge1Maya, qid, fTimeFactor );

  //Special Token Units.
   SpecialPowersTokensMaya( playerid, qid );

  //Progress Tech/Aging Up.
   ProgressTechAgeAdvanceUnlock( playerid, qid );

  //Research Rewards (MUST be below progress-tech check).
   ResearchRewardBonus( playerid, qid );

  //Civ-Specific.
   int civid = get_my_civ();
   if ( civid == cTechAge1Chaac )  //Chaac
      BuildingCompletionBonusSocket( playerid, TC_BUILD_MAYA_QRY, -1, cUnitTypeSettlementsThatTrainVillagers, true, 2 );
   else if ( civid == cTechAge1Itzam )  //Itzamana
      MayaAutoBuildingPower( playerid );
   else if ( kbGetTechStatus(cTechAhPuchVillRebirth) >= cTechStatusActive )  //Ah Puch tech.
      MayaDeathShadowsAbility( playerid );

  //Twin Heroes (above InstantRelicDeposit() due to finding ids of twin-heroes).
   TwinHeroAbilities( playerid, arrayid, qid, fTimeFactor, (civid != cTechAge1AhPuch) );

  //Insta-relic-dropoff w/ that myth tech (if needed).
   if ( kbGetTechStatus(cTechAge3) >= cTechStatusActive )
      InstantRelicDeposit( playerid, arrayid, civid );

  //Fishing Gold Bonus.
   MayaFishingBoatBonus( playerid, fTimeFactor );

  //Trade-bonus Upgrade.
   float fValue = get_float( cUnitTypeIceSheet );
   if ( fValue > 0.0 ) {
      int number = StatDifference( playerid, cStatTradeProfit, PREV_TRADE_PROFIT );
      food_grant = food_grant + (fValue * number);
   }

  //Give resources at end.
   GrantResourcesOwed( playerid );
}
rule MayaP1  minInterval 1 maxInterval 1 priority 100 group _dod1 inactive  { MayaRuleFunc(1); }
rule MayaP2  minInterval 1 maxInterval 1 priority 100 group _dod2 inactive  { MayaRuleFunc(2); }
rule MayaP3  minInterval 1 maxInterval 1 priority 100 group _dod3 inactive  { MayaRuleFunc(3); }
rule MayaP4  minInterval 1 maxInterval 1 priority 100 group _dod4 inactive  { MayaRuleFunc(4); }
rule MayaP5  minInterval 1 maxInterval 1 priority 100 group _dod5 inactive  { MayaRuleFunc(5); }
rule MayaP6  minInterval 1 maxInterval 1 priority 100 group _dod6 inactive  { MayaRuleFunc(6); }
rule MayaP7  minInterval 1 maxInterval 1 priority 100 group _dod7 inactive  { MayaRuleFunc(7); }
rule MayaP8  minInterval 1 maxInterval 1 priority 100 group _dod8 inactive  { MayaRuleFunc(8); }
rule MayaP9  minInterval 1 maxInterval 1 priority 100 group _dod9 inactive  { MayaRuleFunc(9); }
rule MayaP10 minInterval 1 maxInterval 1 priority 100 group _dod10 inactive { MayaRuleFunc(10); }
rule MayaP11 minInterval 1 maxInterval 1 priority 100 group _dod11 inactive { MayaRuleFunc(11); }
rule MayaP12 minInterval 1 maxInterval 1 priority 100 group _dod12 inactive { MayaRuleFunc(12); }
